SNAP7_VERSION:=  b118aefdc184bda1a62c5527424696dbd28bdf05
SNAP7_SITE:= https://gogs.psg-bgh.de/PSG/snap7-iot-quark-1.4.2.git
SNAP7_SITE_METHOD:= git
SNAP7_INSTALL_TARGET:=YES
SNAP7_INSTALL_STAGING:=YES

define SNAP7_BUILD_CMDS
	echo `basedir $(TARGET_CC)`
	echo "============================================="
	printenv
	echo "============================================="
	$(MAKE) -f ./i586_linux.mk CROSS_COMPILE="$(TARGET_CROSS)" -C $(@D)/build/unix all
endef

define SNAP7_INSTALL_TARGET_CMDS
	$(INSTALL) -D -m 0755 $(@D)/build/bin/i586-linux/libsnap7.so $(TARGET_DIR)/lib
endef

define SNAP7_INSTALL_STAGING_CMDS
	$(INSTALL) -D -m 0755 $(@D)/build/bin/i586-linux/libsnap7.so $(STAGING_DIR)/lib
endef


$(eval $(generic-package))