<?php



/***************************

*  Andy Geiss 2007 - 2010  *

*  Tabulatorweite: 4       *

***************************/



// Attribut-Relevanz

$attribute_array = array();

$tag_types_limited_array = array();





// Fixe Attribute



// Eigenschaften von TagTyp sind ausschlaggebend fr Attribut-Klassen-Definition

// Das Attribut TagTyp MUSS definiert sein

// -> wird zur Ermittlung des Flags zur Performance-Steigerung 

// in js_set_attributes_object_values() verwendet

$attribute_name = 'TagTyp';

$attribute_array[$attribute_name]['DDObjProperty'] = 'original.name';   // Wenn belegt, wird der Wert aus dem DDObj ermittelt, ansonsten direkt aus der INI-Datei

$attribute_array[$attribute_name]['InputSize'] = 0;                     // Definiert TD-Width mit $InputSize * 12, wenn InputSize > 0 und InputMaxlength == 0

$attribute_array[$attribute_name]['InputMaxlength'] = 0;                // Wenn 0, ist Wert nicht nderbar

$attribute_array[$attribute_name]['InputVisible'] = 1;                  // Wenn 0 und DDObjProperty leer, bleibt Input-Element und -TD ausgeblendet

$attribute_array[$attribute_name]['DefaultValue'] = '';                 // Initialwert (ist irrelevant, wenn Wert aus DDObjProperty ermittelt wird)

$tag_types_limited_array[$attribute_name] = array();                    // Wenn vorhanden und gefllt, ist dieses Attribut nur in diesen TagTypen vorhanden



$attribute_name = 'Ebene';

$attribute_array[$attribute_name]['DDObjProperty'] = 'z';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 0;

$attribute_array[$attribute_name]['InputVisible'] = 1;



$attribute_name = 'PosLeft';

$attribute_array[$attribute_name]['DDObjProperty'] = 'x';

$attribute_array[$attribute_name]['InputSize'] = 5;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;



$attribute_name = 'PosTop';

$attribute_array[$attribute_name]['DDObjProperty'] = 'y';

$attribute_array[$attribute_name]['InputSize'] = 5;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;



$attribute_name = 'PosWidth';

$attribute_array[$attribute_name]['DDObjProperty'] = 'w';

$attribute_array[$attribute_name]['InputSize'] = 5;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;



$attribute_name = 'PosHeight';

$attribute_array[$attribute_name]['DDObjProperty'] = 'h';

$attribute_array[$attribute_name]['InputSize'] = 5;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;





// Variable Attribute



$attribute_name = 'TagNummer';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(0, 1, 2, 3, 5, 8, 9, 20, 21);

$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'TagNr2';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5, 20);

$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'TagNr3';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'TagNr4';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'TagNr5';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'TagNr6';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'TagNr7';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'TagNr8';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'TagNr9';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'TagNr10';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'TagNr11';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'TagNr12';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'TagNr13';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'TagNr14';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'TagNr15';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'TagNr16';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'TagEinheit';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 8;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(0);



$attribute_name = 'Alignment';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;              // 0 = linksbndig, 1 = rechtsbndig, 2 = zentriert

$tag_types_limited_array[$attribute_name] = array(0, 1, 3, 8, 11);

$gadget_array[$attribute_name] = array('pulldown;0-left_aligned;1-right_aligned;2-centered');



$attribute_name = 'Archivart';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('pulldown;1-trend;2-detail;3-universal');



$attribute_name = 'AutoScaling';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('pulldown;0-off;1-on');



$attribute_name = 'BackColor';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 16777215;

$tag_types_limited_array[$attribute_name] = array(2, 5, 20);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'Caption';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 100;

$attribute_array[$attribute_name]['InputMaxlength'] = 255;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 'Text';

$tag_types_limited_array[$attribute_name] = array(11);



$attribute_name = 'Font';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 50;

$attribute_array[$attribute_name]['InputMaxlength'] = 255;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 'Arial;10;False;False;False;False';

$tag_types_limited_array[$attribute_name] = array(0, 1, 3, 8, 11);

$gadget_array[$attribute_name] = array('fontselection', 'fontdisplay');



// Das Attribut ForeColor MUSS definiert sein UND in smtlichen Tag-Typen vorhanden sein

// -> wird zur Ermittlung des Flags zur Performance-Steigerung 

// in js_set_attributes_object_values() verwendet

$attribute_name = 'ForeColor';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

//$tag_types_limited_array[$attribute_name] = array(0, 1, 2, 3, 5, 8, 9, 11, 20, 21);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'HyperLink';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 100;

$attribute_array[$attribute_name]['InputMaxlength'] = 255;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = '';

//$tag_types_limited_array[$attribute_name] = array(0, 1, 2, 3, 5, 8, 9, 11, 20, 21);

//$tag_types_limited_array[$attribute_name] = array(9);



$attribute_name = 'InnerBottom';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 5;

$attribute_array[$attribute_name]['InputMaxlength'] = 5;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(2, 20);



$attribute_name = 'InnerLeft';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 5;

$attribute_array[$attribute_name]['InputMaxlength'] = 5;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(2, 20);



$attribute_name = 'InnerRight';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 5;

$attribute_array[$attribute_name]['InputMaxlength'] = 5;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(2, 20);



$attribute_name = 'InnerTop';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 5;

$attribute_array[$attribute_name]['InputMaxlength'] = 5;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(2, 20);



$attribute_name = 'LineColor2';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'LineColor3';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'LineColor4';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'LineColor5';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'LineColor6';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'LineColor7';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'LineColor8';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'LineColor9';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'LineColor10';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'LineColor11';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'LineColor12';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'LineColor13';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'LineColor14';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'LineColor15';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'LineColor16';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 0;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);

$gadget_array[$attribute_name] = array('colorpicker', 'colordisplay');



$attribute_name = 'LineWidth';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'LineWidth2';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'LineWidth3';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'LineWidth4';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'LineWidth5';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'LineWidth6';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'LineWidth7';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'LineWidth8';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'LineWidth9';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'LineWidth10';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'LineWidth11';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'LineWidth12';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'LineWidth13';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'LineWidth14';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'LineWidth15';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'LineWidth16';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'Maske';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 12;

$attribute_array[$attribute_name]['InputMaxlength'] = 12;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = '';

$tag_types_limited_array[$attribute_name] = array(0);



$attribute_name = 'Max';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 15;

$attribute_array[$attribute_name]['InputMaxlength'] = 15;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(2, 20);



$attribute_name = 'Min';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 15;

$attribute_array[$attribute_name]['InputMaxlength'] = 15;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(2, 20);



$attribute_name = 'NeedleWidth';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 3;

$attribute_array[$attribute_name]['InputMaxlength'] = 3;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 1;

$tag_types_limited_array[$attribute_name] = array(2, 20);



$attribute_name = 'Picture';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 90;

$attribute_array[$attribute_name]['InputMaxlength'] = 255;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = '';

$tag_types_limited_array[$attribute_name] = array(2, 20);

$gadget_array[$attribute_name] = array('picselection');



$attribute_name = 'Style';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(2);

$gadget_array[$attribute_name] = array('pulldown;0-horizontal_bar;1-vertical_bar;2-semicircle;3-circle');



$attribute_name = 'TimeSpan';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 1440;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'TxtErr';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 90;

$attribute_array[$attribute_name]['InputMaxlength'] = 255;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = '';

$tag_types_limited_array[$attribute_name] = array(8, 9, 21);

$gadget_array[$attribute_name] = array('picselection');



$attribute_name = 'TxtFalse';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 90;

$attribute_array[$attribute_name]['InputMaxlength'] = 255;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = '';

$tag_types_limited_array[$attribute_name] = array(8, 9, 21);

$gadget_array[$attribute_name] = array('picselection');



$attribute_name = 'TxtTrue';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 90;

$attribute_array[$attribute_name]['InputMaxlength'] = 255;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = '';

$tag_types_limited_array[$attribute_name] = array(8, 9);

$gadget_array[$attribute_name] = array('picselection');



$attribute_name = 'TxtTrue1';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 90;

$attribute_array[$attribute_name]['InputMaxlength'] = 255;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = '';

$tag_types_limited_array[$attribute_name] = array(21);

$gadget_array[$attribute_name] = array('picselection');



$attribute_name = 'TxtTrue2';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 90;

$attribute_array[$attribute_name]['InputMaxlength'] = 255;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = '';

$tag_types_limited_array[$attribute_name] = array(21);

$gadget_array[$attribute_name] = array('picselection');



$attribute_name = 'TxtTrue3';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 90;

$attribute_array[$attribute_name]['InputMaxlength'] = 255;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = '';

$tag_types_limited_array[$attribute_name] = array(21);

$gadget_array[$attribute_name] = array('picselection');



$attribute_name = 'ValTrue1';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(21);

//$gadget_array[$attribute_name] = array('tagselection');



//$attribute_array[$attribute_name]['DDObjProperty'] = 'x';

//$attribute_array[$attribute_name]['InputSize'] = 5;

//$attribute_array[$attribute_name]['InputMaxlength'] = 11;

//$attribute_array[$attribute_name]['InputVisible'] = 1;





$attribute_name = 'ValTrue2';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(21);

//$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'ValTrue3';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 11;

$attribute_array[$attribute_name]['InputMaxlength'] = 11;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(21);

//$gadget_array[$attribute_name] = array('tagselection');



$attribute_name = 'yScale';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'yScale2';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'yScale3';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'yScale4';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'yScale5';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'yScale6';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'yScale7';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'yScale8';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'yScale9';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'yScale10';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'yScale11';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'yScale12';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'yScale13';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'yScale14';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'yScale15';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



$attribute_name = 'yScale16';

$attribute_array[$attribute_name]['DDObjProperty'] = '';

$attribute_array[$attribute_name]['InputSize'] = 1;

$attribute_array[$attribute_name]['InputMaxlength'] = 1;

$attribute_array[$attribute_name]['InputVisible'] = 1;

$attribute_array[$attribute_name]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(5);



/*

// L TODO?: Indizierte Attribute

// Attribut-Indiziert-Relevanz

// -> Fliess.ini abwrtskompatibel halten, z.B. Index + 1 als Nummer dahinter per Substring behandeln

// TagTyp 15 -> Zustandsanzeige

// Gadget "conditionlimitselection"



$attribute_name = 'ConditionLimit';

$attribute_array[$attribute_name][0]['DDObjProperty'] = '';

$attribute_array[$attribute_name][0]['InputSize'] = 11;

$attribute_array[$attribute_name][0]['InputMaxlength'] = 11;

$attribute_array[$attribute_name][0]['InputVisible'] = 1;

$attribute_array[$attribute_name][0]['DefaultValue'] = 0;

$tag_types_limited_array[$attribute_name] = array(15);

$gadget_array[$attribute_name] = array('conditionlimitselection');

 */



?>

