<?php

/**********************
*  Andy Geiss 2008    *
*  Tabulatorweite: 4  *
**********************/

error_reporting(E_ALL);
ob_start();
require('functions.inc');
require($fci_inc);
eval($sv_short_class_def);
ob_end_clean();

if(isset($ini_path)){
    $flowchart_dir = $ini_path.'/';
}
if(isset($img_path)){
    $flowchart_dir = $img_path.'/';
}
else{
    $flowchart_dir = '';
}
$flowchart_ini_file = $ini_filename;

$fp = null;
$sysinfo = array();
$socket_errorstr = sv_connect($sv_user, $sv_pwd, $sv_host, $sv_port, $fp, $sysinfo);

if(!empty($socket_errorstr)){
    ImageCreateErrorMessage($socket_errorstr);
    exit;
}
else{
    if(isset($_GET['register']) && strlen($_GET['register'])){
        $register = $_GET['register'];
    }
    else{
        $register = '000';
    }
    
    // Flow Chart INI-File einlesen
    if(is_file($flowchart_ini_file)){
        $ini_array = pv_get_ini_array($flowchart_ini_file);
    }
    else{
        ImageCreateErrorMessage('File '.$flowchart_ini_file.' not found!');
        exit;
    }
    
    // Hauptfunktion der flowchartimage.inc.php ($fci_inc)
    flowchartimage();
}
if(!empty($fp)){
    socket_close($fp);
}


function get_tag_info_array($tag_nr, &$tag_info_array){
    global $fp;
    global $sysinfo;
    
    $tag_info_array = array();
    
    return sv_get_tag_info_array($fp, $tag_nr, $sysinfo, $tag_info_array);
}

function round_time($time, $interval){
    $sek = date("s", $time);
    $min = date("i", $time);
    $std = date("H", $time);
    $rest = (($std * 3600) + ($min * 60) + $sek) % $interval;
    
    if($rest){
        $time -= $rest;
    }
    
    return $time;
}

?>
