<?php

/**********************
*  Andy Geiss 2008    *
*  Tabulatorweite: 4  *
**********************/

error_reporting(E_ALL);
ob_start();
require('functions.inc');
include('texts.inc');
ob_end_clean();

//print_r_formatted($_GET);
//print_r_formatted($_POST);

$list_max = 10;

if(!empty($_POST['attribute_name'])){
    $attribute_name = $_POST['attribute_name'];
}
else if(!empty($_GET['attribute_name'])){
    $attribute_name = $_GET['attribute_name'];
}
else{
    $attribute_name = '';
    echo '
    <script language="JavaScript">
    <!--
    alert(\'$attribute_name is missing!\');
    //-->
    </script>';
    exit;
}

if(!empty($_POST['tag_nr'])){
    $tag_nr = $_POST['tag_nr'];
}
else if(!empty($_GET['tag_nr'])){
    $tag_nr = $_GET['tag_nr'];
}
else{
    $tag_nr = 0;
}
if(!is_numeric($tag_nr) || $tag_nr < 1){
    $tag_nr = 1;
}
else{
    $tag_nr = intval($tag_nr);
}

if(!empty($_POST['search'])){
    $search = $_POST['search'];
}
else if(!empty($_GET['search'])){
    $search = $_GET['search'];
}
else{
    $search = '';
}
$search = trim($search);

if(!empty($_POST['direction'])){
    $direction = $_POST['direction'];
}
else if(!empty($_GET['direction'])){
    $direction = $_GET['direction'];
}
else{
    $direction = 'up';
}
$direction = trim($direction);

$fp = null;
$sysinfo = array();
$sysinfo['tag_anzahl'] = 0;
$tagliste = array();
$tag_list_forward = 0;
$tag_list_reverse = 0;

$socket_errorstr = sv_connect($sv_user, $sv_pwd, $sv_host, $sv_port, $fp, $sysinfo);

sv_get_taglist($fp, 
               $sysinfo, 
               $tag_nr, 
               $list_max, 
               $tag_list_forward, 
               $tag_list_reverse, 
               $tagliste, 
               $direction, 
               (strlen($search)?$search:'undefined'));

echo '
<!-- Andy Geiss 2008 -->
<html>

<head>
<meta http-equiv="expires" content="0">
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta http-equiv="imagetoolbar" content="no">
<title>',lang_text('tagselection'),'</title>
<link rel="stylesheet" type="text/css" href="flowchartedit.css">
<script type="text/javascript" src="functions.js"></script>

<style type="text/css">
<!--
a{
    font-size: 12px;
    color: #000000;
    font-weight: normal;
}
a:link { text-decoration:none; }
a:hover { text-decoration:underline; }

input, button{
    font-size: 12px;
}
td, th{
    font-size: 12px;
}
.button_width{
    width: 50px;
}
//-->
</style>

<script language="JavaScript">
<!--

self.focus();

function key_down_event(event){
    var keyCode;
    if(!event){
        event = window.event;
    }
    if(event.which){
        keyCode = event.which;
    }
    else{
        if(event.keyCode){
            keyCode = event.keyCode;
        }
    }
    //alert("Taste mit Dezimalwert " + keyCode + " gedrckt");
    
    // Esc
    if(keyCode == 27){
        window.close();
    }
}
document.onkeydown = key_down_event;

function OK(tag_nr){
    var id_attribute_name;
    
    if(tag_nr && !isNaN(tag_nr) && tag_nr > 0){
        ActiveTagNo = parseInt(tag_nr);
    }
    
    if(ad_p.attributes_form.',$attribute_name,'){
        ad_p.attributes_form.',$attribute_name,'.value = ActiveTagNo;
        opener.setAttributeInstanceFromInput("',$attribute_name,'");
    }
    
    id_attribute_name = ad_p.getElementById("id_',$attribute_name,'");
    if(id_attribute_name){
        id_attribute_name.innerHTML = ad_p.attributes_form.',$attribute_name,'.value;
    }
    
    window.close();
}

function first(){
    var url = "tagselection.php?attribute_name=',$attribute_name,$session_url_param2,'";
    url += "&tag_nr=0";
    url += "&search=',$search,'";
    url += "&direction=up";
    //alert(url);
    location.href = url;
}

function back(){
    var url = "tagselection.php?attribute_name=',$attribute_name,$session_url_param2,'";
    url += "&tag_nr=',(isset($tagliste[0])?$tagliste[0]['nummer'] - 1:0),'";
    url += "&search=',$search,'";
    url += "&direction=',(isset($tagliste[0])?'down':'up'),'";
    //alert(url);
    location.href = url;
}

function next(){
    var url = "tagselection.php?attribute_name=',$attribute_name,$session_url_param2,'";
    url += "&tag_nr=',(isset($tagliste[count($tagliste) - 1])?$tagliste[count($tagliste) - 1]['nummer'] + 1:0),'";
    url += "&search=',$search,'";
    url += "&direction=up";
    //alert(url);
    location.href = url;
}

function last(){
    var url = "tagselection.php?attribute_name=',$attribute_name,$session_url_param2,'";
    url += "&tag_nr=',(isset($sysinfo['tag_anzahl'])?$sysinfo['tag_anzahl']:0),'";
    url += "&search=',$search,'";
    url += "&direction=up";
    url += "&direction=',(isset($sysinfo['tag_anzahl'])?'down':'up'),'";
    //alert(url);
    location.href = url;
}

//-->
</script>
</head>

<body>

<table border="0" cellpadding="1" cellspacing="3" width="100%">
<tr>
<form name="tag_form" action="',$_SERVER["SCRIPT_NAME"],'" method="POST">
    <td>
    
    <!-- Tabelle fr Inhalt -->
    <table style="border-collapse: collapse;" border="0" cellspacing="0" cellpadding="3" width="100%">
    <tr>
        <th class="td_border" width="22%">',lang_text('tag_no'),'</th>
        <th class="td_border" width="55%">',lang_text('name'),'</th>
        <th class="td_border" width="18%">',lang_text('unit'),'</th>';
    foreach($tagliste as $tag){
        $tmp_tag_nr = $tag['nummer'];
        if(!is_numeric($tmp_tag_nr) || $tmp_tag_nr < 1){
            $tmp_tag_nr = 1;
        }
        else{
            $tmp_tag_nr = intval($tmp_tag_nr);
        }
        echo '
        </tr><tr>
            <td class="td_border" align="center"><a href="javascript:OK(',$tmp_tag_nr,')">',$tmp_tag_nr,'</a></td>
            <td class="td_border"><a href="javascript:OK(',$tmp_tag_nr,')">',$tag['name'],', ',$tag['info'],'</a></td>
            <td class="td_border" align="center"><a href="javascript:OK(',$tmp_tag_nr,')">',$tag['einheit'],'</a></td>';
    }
    echo '
    </tr>
    </table>
    
    </td>
</tr><tr>
    <td align="center">
    
    <!-- Tabelle fr Navigation -->
    <table border="0" cellspacing="1" cellpadding="3" width="100%">
    <tr>
        <td align="left">
        <input class="button_width" type="button" name="btFirst" value="&Iota;&lt;&lt;" onclick="first()"';
        if(!$tag_list_reverse){
            echo ' disabled';
        }
        echo '>
        </td>
        <td align="left">
        <input class="button_width" type="button" name="btBack" value="&lt;&lt;" onclick="back()"';
        if(!$tag_list_reverse){
            echo ' disabled';
        }
        echo '>
        </td>
        <td align="center">
        <input type="hidden" name="attribute_name" value="',$attribute_name,'">
        ',$session_hidden_input,'
        <input type="text" name="search" size="45" value="',$search,'">&nbsp;&nbsp;',
        '<input style="width: 70px;" type="submit" name="btSearch" value="',lang_text('search'),'" >
        </td>
        <td align="right">
        <input class="button_width" type="button" name="btNext" value="&gt;&gt;" onclick="next()"';
        if(!$tag_list_forward){
            echo ' disabled';
        }
        echo '>
        </td>
        <td align="right">
        <input class="button_width" type="button" name="btLast" value="&gt;&gt;&Iota;" onclick="last()"';
        if(!$tag_list_forward){
            echo ' disabled';
        }
        echo '>
        </td>
    </tr>
    </table>
    
    </td>
</form>
</tr>
</table>

<script language="JavaScript">
<!--
var ad_p = opener.document;
var ActiveTagNo;
if(ad_p.attributes_form.',$attribute_name,'){
    ActiveTagNo = parseInt(ad_p.attributes_form.',$attribute_name,'.value);
}
//-->
</script>

</body>
</html>';

?>
