<?php

/***************************
*  Andy Geiss 2008 - 2010  *
*  Tabulatorweite: 4       *
***************************/


error_reporting(E_ALL);

$item_array = array();
$attribute_array = array();

ob_start();
require('functions.inc');
include('items.inc');
include('attributes.inc');
ob_end_clean();

/* {{{ Aktive Registernummer belegen */
if(isset($_POST['register_no_load']) && is_numeric($_POST['register_no_load'])){
    $register_no_load = $_POST['register_no_load'];
}
else if(isset($_GET['register_no_load']) && is_numeric($_GET['register_no_load'])){
    $register_no_load = $_GET['register_no_load'];
}
else{
    $register_no_load = 0;
}
/* }}} */

echo '
<!-- Andy Geiss 2007 - 2008 -->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="expires" content="0">
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta http-equiv="imagetoolbar" content="no">
<title>Flowchart Edit</title>
<link rel="stylesheet" type="text/css" href="flowchartedit.css">
<script type="text/javascript" src="functions.js"></script>
<script type="text/javascript" src="wz_jsgraphics.js"></script>

<script language="JavaScript">
<!--
//alert("',$_SERVER["SCRIPT_NAME"],'");
function key_down_event(event){
    var keyCode;
    if(!event){
        event = window.event;
    }
    if(event.which){
        keyCode = event.which;
    }
    else{
        if(event.keyCode){
            keyCode = event.keyCode;
        }
    }
    //alert("Taste mit Dezimalwert " + keyCode + " gedrckt");

    // Entf-Taste
    if(keyCode == 46){
        if(dd){
            dd.hideFocused();
        }
    }
}
document.onkeydown = key_down_event;

window.defaultStatus = \'Flowchart Edit\';

//-->
</script>

</head>

<body>
<script type="text/javascript" src="wz_dragdrop.js"></script>

<!-- Zeichenflche -->
<div class="workspace">';

$i = 0;
foreach($item_array as $item_name => $item){
    echo '
    <div style="position:absolute; top:10px; left:10px;">
    <img name="',$item_name,'" src="',$item['src'],'" alt="">
    </div>';
    $i++;
}

echo '
</div>

<script type="text/javascript">
<!--

SET_DHTML(CURSOR_MOVE, SCALABLE, TRANSPARENT, ';
$i = 0;
foreach($item_array as $item_name => $item){
    if($i){
        echo ', ';
    }
    echo '"',$item_name,'"';
    $i++;
}
echo ');

for(var i = 0; i < dd.elements.length; i++){
    // Bei Opera hide() mit Platzhalter, weil sonst Bildgren der Vorlagen schrumpfen
    dd.elements[i].hide(dd.op?false:true);
}';

// Ladevorgang
$ini_array = load_ini($ini_filename);
echo '
var evt = \'LOAD\';';
$register_digits = fill_zeros($register_no_load, 3);
//echo '"',$register_digits,'"';

js_attribute_class_definition();
// Objekt-Werte von $ini_array in dd laden
if(isset($ini_array['[Objekt'.$register_digits.'.000]'])){
    $crit_str = '[Objekt'.$register_digits;
    $crit_len = strlen($crit_str);
    foreach($ini_array as $object_section => $attribute){
        // Irrelevante Sections berspringen
        if(substr($object_section, 0, $crit_len) != $crit_str){
            continue;
        }
        // Attribut-Relevanz
        $Ebene = $attribute['Ebene'];
        if(!is_numeric($Ebene) || $Ebene < 1){
            $Ebene = 0;
        }
        $PosLeft = twips2pixels($attribute['PosLeft'], $TwipsPerPixelX);
        $PosTop = twips2pixels($attribute['PosTop'], $TwipsPerPixelY);
        $PosWidth = twips2pixels($attribute['PosWidth'], $TwipsPerPixelX);
        $PosHeight = twips2pixels($attribute['PosHeight'], $TwipsPerPixelY);
        echo '
        if(dd.elements[\'',$attribute['ItemName'],'\']){
            dd.elements[\'',$attribute['ItemName'],'\'].copy();
            var copieslength = dd.elements[\'',$attribute['ItemName'],'\'].copies.length;
            var d_p = dd.elements[\'',$attribute['ItemName'],'\'].copies[copieslength - 1];
            var TagTyp = extractTagType(d_p.',$attribute_array['TagTyp']['DDObjProperty'],');
            d_p.ini_section = \'',$object_section,'\';
            d_p.unsetFocus();
            d_p.jgCreate(TagTyp);
            d_p.moveTo(',$PosLeft,', ',$PosTop,');
            if(',$Ebene,' > 0){
                d_p.defz = ',$Ebene,';
                d_p.setZ(d_p.defz);
            }
            else{
                d_p.maximizeZ();
            }
            d_p.relevant = true;   // Als relevant kennzeichnen fr Speichern in INI
            d_p.resizeTo(',$PosWidth,', ',$PosHeight,');';
            js_create_attributes_object_array('d_p');
            js_set_attributes_object_values('d_p', false, true, $attribute);
        echo '
            d_p.setUniqueZ();
            d_p.drawTagImage("',$img_path,'");
            d_p.jgDraw();
        }';
    }
}
echo '
fillAttributesFrame(evt);

// Init-SerializedSnap/Loading-SerializedSnap bezglich Workspace erstellen
dd.setSerializedSnap();

function my_PickFunc(){         // berschreiben der Funktion in wz_dragdrop.js
    self.focus();   // Frame aktivieren

    // unsetFocus wenn Strg-Taste und Focus bereits gesetzt
    if(dd.e.controlKey && dd.elements[dd.obj.name].focus){
        dd.elements[dd.obj.name].unsetFocus();
    }
    else{
        dd.elements[dd.obj.name].setFocus();
    }
    statusInfo();
    fillAttributesFrame(\'PICK\');
}

function my_PickFuncWithoutObject(){         // berschreiben der Funktion in wz_dragdrop.js
    self.focus();   // Frame aktivieren

    fillAttributesFrame(\'PICKWO\');
}

function my_DragFunc(){
    dd.elements[dd.obj.name].setFocus();
    statusInfo();
    fillAttributesFrame(\'DRAG\');
}

function my_ResizeFunc(){
    dd.elements[dd.obj.name].setFocus();
    statusInfo();
    fillAttributesFrame(\'RESIZE\');
}

function my_DropFunc(){
    statusInfo();
    fillAttributesFrame(\'DROP\');
}

function my_hideFocusedFunc(){
    if(parent.frames[\'attributes\']){
        parent.frames[\'attributes\'].clearAttributesForm();
    }
}

function statusInfo(){
    window.status = dd.obj.name + ".x = " + dd.obj.x + "   " + dd.obj.name +
        ".y = " + dd.obj.y + "   " + dd.obj.name + ".w = " + dd.obj.w + "   " +
        dd.obj.name + ".h = " + dd.obj.h + "   " + dd.obj.ini_section;
}

function fillAttributesFrame(evt){
    var objName = dd.getFocusedObjName();
    if(!evt){
        evt = \'\';
    }

    if(parent.frames[\'attributes\']){
        if(objName){
            parent.frames[\'attributes\'].fillAttributesForm(objName, evt);
        }
        else{
            parent.frames[\'attributes\'].clearAttributesForm();
        }
    }
}

//-->
</script>

</body>
</html>';

?>
