<?php

// vim: fdm=marker

/***************************
*  Andy Geiss 2009 - 2010  *
*  Tabulatorweite: 4       *
***************************/

// L TODO: Verlauf von benutzten Kurvenstzen
// L TODO: Per onunload ksselection schlieen, wenn offen

ob_start();
require('scalarvis.inc.php');
ob_end_clean();
nocache();

error_reporting(E_ALL);

if(!start_session($sv)){
    session_no_longer_valid_msg();
}

if(!$sv->connect()){
    echo '<br>',get_sv_socket_errorstr_from_errno($sv->lang_id, $sv->get_socket_errno(), $sv->get_socket_last_error());
    exit;
}

/* {{{ Variablen initialisieren */
$actionfile = 'ksform.php';         // Standard-File fr ACTION-Attribut des FORM-TAGs
$ks_msg = '';                       // Parametersatz-Ausgabemeldung
/* }}} */

include('cont_top.inc.php');

/* {{{ Werte ermitteln/Variablen belegen */
// submit_action verarbeiten
if(!empty($_GET['submit_action'])){
    switch($_GET['submit_action']){
    case 'loadks':
        if(!loadks()){
            $ks_msg = $text_array[$sv->lang_id]['loadks_error'].'!';
        }
        break;
    case 'setks':
        if(!isset($_GET['ksnumber']) || !isset($_GET['ksname']) || !$sv->set_ks($_GET['ksnumber'], $_GET['ksname']) || !loadks()){
            $ks_msg = $text_array[$sv->lang_id]['setks_error'].'!';
        }
        break;
    }
}
/* }}} */

echo '
<script type="text/javascript">
<!--';


/* {{{ JavaScript-Funktion key_down_event() - Key-Event-Handler */
echo '
function key_down_event(event){
    var keyCode;

    if(!event){
        event = window.event;
    }
    if(event.which){
        keyCode = event.which;
    }
    else if(event.keyCode){
        keyCode = event.keyCode;
    }
    //alert("Taste mit Dezimalwert " + keyCode + " gedrckt");
	
	if(keyCode == 38){
		loadksUp();
    }
	
	if(keyCode == 40){
		loadksDown();
    }
}
document.onkeydown = key_down_event;';
/* }}} */





/* {{{ JavaScript-Funktion open_ksselection() - Parametersatz-Auswahl ffnen */
echo '
function open_ksselection(){
    var ksnumber = null;
    var wwidth = 650;
    var wheight = 300;
    var wleft = screen.availWidth - wwidth - 100;
    var wtop = 150;
    var wlayout = "location=no, menubar=no, resizable=yes, scrollbars=auto";
    wlayout += ", status=yes, toolbar=no, left=" + wleft + ", top=" + wtop;
    wlayout += ", width=" + wwidth + ", height=" + wheight;

    ksnumber = document.ksform.ksnumber.value;
    wndKSSelection = window.open("ksselection.php?ksnumber=" + ksnumber + "&session_name='
        ,$svweb_session_name,'", "wndKSSelection", wlayout);
    wndKSSelection.focus();
}';
/* }}} */

/* {{{ JavaScript-Funktion setks() - Submit zum Speichern des Parametersatzes ausfhren */
echo '
function setks(){
    if(document.ksform.ksnumber.value){
        document.ksform.submit_action.value = "setks";
        document.ksform.submit();
    }
}

function loadksUp(){
	if(!document.ksform.ksnumber.value) { document.ksform.ksnumber.value = 0; }
    if(document.ksform.ksnumber.value){
		document.ksform.ksnumber.value++;
        document.ksform.submit_action.value = "loadks";
        document.ksform.submit();
    }
}

function loadksDown(){
	if(!document.ksform.ksnumber.value) { document.ksform.ksnumber.value = 1; }
    if(document.ksform.ksnumber.value){
		document.ksform.ksnumber.value--;
		if(document.ksform.ksnumber.value < 1) { document.ksform.ksnumber.value = 1; }
        document.ksform.submit_action.value = "loadks";
        document.ksform.submit();
    }
}




';
/* }}} */
echo '
//-->
</script>
</head>

<body>
<form name="ksform" action="',$actionfile,'" method="GET">
<input type="hidden" name="content" value="',$content,'">
<input type="hidden" name="session_name" value="',$svweb_session_name,'">
<input type="hidden" name="submit_action" value="loadks">
<div align="center" style="margin-top: 10px;">';
/* {{{ Parametersatzauswahl-HTML-Tabelle */
echo '
<table style="border-style: inset; border-width: 4px;" border="0" cellspacing="0" cellpadding="5" summary="TAG Set">
<tr>
    <td colspan="7" tabindex="-1" style="text-align: center; font-weight: bold;">',$text_array[$sv->lang_id]['tag_set'],'</td>
</tr><tr>
    <td style="text-align: right;">
    ',$text_array[$sv->lang_id]['number_abbr'],'&nbsp;
    </td><td>
    <input class="colored_input" type="text" name="ksnumber" tabindex="0"  style="text-align: center;" size="6" maxlength="10" value="'
        ,(isset($sv->ks_auswahl[0])?$sv->ks_auswahl[0]:''),'" autofocus ondblclick="open_ksselection();">
    </td><td>
	


		<table cellpadding="0" cellspacing="0" border="0">
		<td><button type="button"  tabindex="-1"
		
					onclick="loadksUp();"
					style="font-size:8px;margin:0;padding:0;width:25px;height:15px;">
					<img name="down_arrow" src="up_arrow.png" width="8" height="6">
		</button></td>
		<tr>
		<td><button type="button" tabindex="-1"
					onclick="loadksDown();"
					style="font-size:8px;margin:0;padding:0;width:25px;height:15px;">
					<img name="down_arrow" src="down_arrow.png" width="8" height="6">
		</button></td>
		
		</tr>
		</table>
		</td><td>

	
	
	
	
    <input type="button"  tabindex="-1" value="..." title="',$text_array[$sv->lang_id]['ks_selection'],'" onclick="open_ksselection();">
    </td><td style="text-align: right;"  tabindex="-1">
    &nbsp;&nbsp;',$text_array[$sv->lang_id]['name'],'&nbsp;
    </td><td>
    <textarea class="colored_input"  tabindex="-1" name="ksname" cols="40" rows="2">'
        ,(!empty($sv->ks_auswahl[1])?trim($sv->ks_auswahl[1]):''),'</textarea>
    </td><td>
    <input class="button_width"  tabindex="-1" type="submit" value="',$text_array[$sv->lang_id]['load'],'">
    </td><td>
    <input class="button_width"  tabindex="-1" type="button" value="',$text_array[$sv->lang_id]['save'],'" onclick="setks()">
    </td>
</tr><tr>
    <td colspan="7" tabindex="-1" style="text-align: center; font-weight: bold; color: #ff0000;">&nbsp;<span id="ks_msg" tabindex="-1">',$ks_msg,'</span>&nbsp;</td>
</tr>
</table>';
/* }}} */
echo '
</div>';
//print_r_formatted($_GET);
//print_r_formatted($sv->tagauswahl);
echo '
</form>
</body>';

include('cont_bottom.inc.php');

store_session($sv);

/* {{{ PHP-Funktion loadks() - Parametersatz laden, Tagform und Timeform aktualisieren */
function loadks(){
    global $sv, $content, $svweb_session_name;
    $retval = false;

    if(isset($_GET['ksnumber'])){
        if(is_numeric($_GET['ksnumber']) && $_GET['ksnumber'] >= 0){
            $ksnumber = (int) $_GET['ksnumber'];
        }
        else{
            $ksnumber = -1;
        }
        $sv->add_ks_to_tagauswahl($ksnumber);
        echo '
        <script type="text/javascript">
        <!--
        parent.tagform.location.replace("tagform.php?content=',$content,'&session_name=',$svweb_session_name,'");
        parent.timeform.location.replace("timeform.php?content=',$content,'&session_name=',$svweb_session_name,'");
        //-->
        </script>';
        $retval = true;
    }

    return $retval;
}

/* }}} */

?>

