<?php

// vim: fdm=marker

/***************************
*  Andy Geiss 2009 - 2010  *
*  Tabulatorweite: 4       *
***************************/

// L TODO: Button fr Info ausblenden am Tabellenende
// L TODO: Umschaltbutton fr exakten Zahlenwert am Tabellenende
// L TODO: Per onunload tagselection schlieen, wenn offen

// L TODO: MaxKeepAliveRequests oder dergleichen in Apache-Config angleichen?
// L TODO: MaxRequestsPerProcess oder dergleichen in Apache-Config angleichen?
//<IfModule mpm_winnt_module>
//    ThreadsPerChild      150
//    MaxRequestsPerChild    0
//</IfModule>
// Apache-Workers sind auf localhost/server-info und localhost/server-status ersichtlich

ob_start();
require('scalarvis.inc.php');
ob_end_clean();
nocache();

error_reporting(E_ALL);

if(!start_session($sv)){
    session_no_longer_valid_msg();
}

if(!$sv->connect()){
    echo '<br>',get_sv_socket_errorstr_from_errno($sv->lang_id, $sv->get_socket_errno(), $sv->get_socket_last_error());
    exit;
}

/* {{{ Variablen initialisieren */
$actionfile = 'tagform.php';         // Standard-File fr ACTION-Attribut des FORM-TAGs
/* }}} */

include('cont_top.inc.php');

echo '
<script type="text/javascript">
<!--

//status = "";
var FocusedTagField = null;
var FocusedTagIndex = null;
var PrevFocusedTagIndex = null;
var OnFocusContent = "";
var refreshInterval;';

if(isset($sv->sysinfo['refresh']) && is_numeric($sv->sysinfo['refresh']) && $sv->sysinfo['refresh'] > 0){
    $interval_refresh = $sv->sysinfo['refresh'] * 1000;
    if($sv->refresh_tag_values){
        echo '
        refreshInterval = window.setInterval("ajaxRefreshTagValues()", ',$interval_refresh,');';
    }
}

/* {{{ JavaScript-Funktion key_down_event() - Key-Event-Handler */
echo '
function key_down_event(event){
    var keyCode;

    if(!event){
        event = window.event;
    }
    if(event.which){
        keyCode = event.which;
    }
    else if(event.keyCode){
        keyCode = event.keyCode;
    }
    //alert("Taste mit Dezimalwert " + keyCode + " gedrckt");
	
	if(keyCode == 38){
        switch(FocusedTagField){
        case "nummer":
            eval("ajaxGetTagInfoUp(FocusedTagIndex, tagform." + FocusedTagField + "_" + FocusedTagIndex + ", true);");
            break;
        }
    }
	
	if(keyCode == 40){
        switch(FocusedTagField){
        case "nummer":
            eval("ajaxGetTagInfoDown(FocusedTagIndex, tagform." + FocusedTagField + "_" + FocusedTagIndex + ", true);");
            break;
        }
    }

    // Return
    if(keyCode == 13){
        switch(FocusedTagField){
        case "dba":
        case "dbe":
            ajaxSetTagInfoField(FocusedTagIndex, FocusedTagField, true);
            break;
        case "nummer":
            eval("ajaxGetTagInfo(FocusedTagIndex, tagform." + FocusedTagField + "_" + FocusedTagIndex + ", true);");
            break;
        }
    }
}
document.onkeydown = key_down_event;';
/* }}} */

/* {{{ JavaScript-Funktion ajaxGetTagInfo() - Tag laden */
echo '
function ajaxGetTagInfoUp(tag_index, element, force){
    if(!element || element.value != OnFocusContent || force){
//status = "True: " + (element?element.value:"null") + " != " + OnFocusContent;
        if(element && element.value){
            OnFocusContent = element.value;
        }
        var tag_nr;
        var action_string;';
        jsCreateXMLHttpRequest('xmlhttp');
        echo '
        eval("tag_nr = document.tagform.nummer_" + tag_index + ".value;");
		tag_nr++;
        action_string = "ajax_actions.php?ajax_action=get_tag_info&tag_nr=" + tag_nr + "&tag_index=" + tag_index + "&session_name='
            ,$svweb_session_name,'";
        //alert(action_string);
        xmlhttp.open("GET", action_string, false);
        xmlhttp.send(null);
        ajaxRefreshTagInfos(tag_index);
        delete xmlhttp;
        xmlhttp = null;
    }
//else status = "False: " + element.value + " != " + OnFocusContent;
}';
/* }}} */

/* {{{ JavaScript-Funktion ajaxGetTagInfo() - Tag laden */
echo '
function ajaxGetTagInfoDown(tag_index, element, force){
    if(!element || element.value != OnFocusContent || force){
//status = "True: " + (element?element.value:"null") + " != " + OnFocusContent;
        if(element && element.value){
            OnFocusContent = element.value;
        }
        var tag_nr;
        var action_string;';
        jsCreateXMLHttpRequest('xmlhttp');
        echo '
        eval("tag_nr = document.tagform.nummer_" + tag_index + ".value;");
		tag_nr--;
        action_string = "ajax_actions.php?ajax_action=get_tag_info&tag_nr=" + tag_nr + "&tag_index=" + tag_index + "&session_name='
            ,$svweb_session_name,'";
        //alert(action_string);
        xmlhttp.open("GET", action_string, false);
        xmlhttp.send(null);
        ajaxRefreshTagInfos(tag_index);
        delete xmlhttp;
        xmlhttp = null;
    }
//else status = "False: " + element.value + " != " + OnFocusContent;
}';
/* }}} */

/* {{{ JavaScript-Funktion ajaxGetTagInfo() - Tag laden */
echo '
function ajaxGetTagInfo(tag_index, element, force){
    if(!element || element.value != OnFocusContent || force){
//status = "True: " + (element?element.value:"null") + " != " + OnFocusContent;
        if(element && element.value){
            OnFocusContent = element.value;
        }
        var tag_nr;
        var action_string;';
        jsCreateXMLHttpRequest('xmlhttp');
        echo '
        eval("tag_nr = document.tagform.nummer_" + tag_index + ".value;");
        action_string = "ajax_actions.php?ajax_action=get_tag_info&tag_nr=" + tag_nr + "&tag_index=" + tag_index + "&session_name='
            ,$svweb_session_name,'";
        //alert(action_string);
        xmlhttp.open("GET", action_string, false);
        xmlhttp.send(null);
        ajaxRefreshTagInfos(tag_index);
        delete xmlhttp;
        xmlhttp = null;
    }
//else status = "False: " + element.value + " != " + OnFocusContent;
}';
/* }}} */

/* {{{ JavaScript-Funktion ajaxRefreshTagInfo() - Refresh eines Tag-Info-Felds (Tag laden) */
echo '
function ajaxRefreshTagInfo(tag_index, tag_field){';
    jsCreateXMLHttpRequest('xmlhttp');
    echo '
    xmlhttp.open("GET", "ajax_actions.php?ajax_action=info_refresh&tag_index=" + tag_index + "&tag_field=" + tag_field + "&session_name='
        ,$svweb_session_name,'", false);
    xmlhttp.send(null);
    switch(tag_field){
    case "info":
        document.getElementById(tag_field + "_" + tag_index).innerHTML = xmlhttp.responseText;
        break;
    default:
        eval("document.tagform." + tag_field + "_" + tag_index + ".value = xmlhttp.responseText;");
        break;
    }
    delete xmlhttp;
    xmlhttp = null;
}';
/* }}} */

/* {{{ JavaScript-Funktion ajaxRefreshTagInfos() - Refresh smtlicher Tag-Info-Felder (Tag laden) */
echo '
function ajaxRefreshTagInfos(tag_index){
    ajaxRefreshTagInfo(tag_index, "nummer");
    ajaxRefreshTagInfo(tag_index, "name");
    ajaxRefreshTagInfo(tag_index, "dba");
    ajaxRefreshTagInfo(tag_index, "dbe");
    ajaxRefreshTagInfo(tag_index, "einheit");
    ajaxRefreshTagInfo(tag_index, "wert");
    ajaxRefreshTagInfo(tag_index, "info");
}';
/* }}} */

/* {{{ JavaScript-Funktion ajaxRefreshTagValue() - Refresh eines Tag-Werts */
echo '
function ajaxRefreshTagValue(tag_index){
    var tag_nr;
    eval("tag_nr = document.tagform.nummer_" + tag_index + ".value;");
    if(!isNaN(tag_nr) && trim(tag_nr) != ""){';
        jsCreateXMLHttpRequest('xmlhttp');
        echo '
        xmlhttp.open("GET", "ajax_actions.php?ajax_action=value_refresh&tag_index=" + tag_index + "&session_name=',$svweb_session_name,'", false);
        xmlhttp.send(null);
        eval("document.tagform.wert_" + tag_index + ".value = xmlhttp.responseText;");
        delete xmlhttp;
        xmlhttp = null;
    }
}';
/* }}} */

/* {{{ JavaScript-Funktion ajaxRefreshTagValues() - Refresh smtlicher Tag-Werte */
echo '
function ajaxRefreshTagValues(){';
for($i = 0; $i < $sv->number_of_tags; $i++){
    echo '
    ajaxRefreshTagValue(',$i,');';
}
echo '
}';
/* }}} */

/* {{{ JavaScript-Funktion ajaxSetTagInfoField() - ndern eines Tag-Info-Felds */
echo '
function ajaxSetTagInfoField(tag_index, tag_field, force){
    eval("var element = tagform." + tag_field + "_" + tag_index + ";");
    if(!element || element.value != OnFocusContent || force){
//status = "True: " + (element?element.value:"null") + " != " + OnFocusContent;
        if(element && element.value){
            OnFocusContent = element.value;
        }
        var tag_field_value;';
        jsCreateXMLHttpRequest('xmlhttp');
        echo '
        eval("tag_field_value = document.tagform." + tag_field + "_" + tag_index + ".value;");
        action_string = "ajax_actions.php?ajax_action=set_tag_info_field&tag_index=" + tag_index + "&tag_field=" + tag_field;
        action_string += "&tag_field_value=" + tag_field_value + "&session_name=',$svweb_session_name,'";
        //alert(action_string);
        xmlhttp.open("GET", action_string, false);
        xmlhttp.send(null);
        delete xmlhttp;
        xmlhttp = null;
    }
//else status = "False: " + element.value + " != " + OnFocusContent;
}';
/* }}} */

/* {{{ JavaScript-Funktion ajaxSetAndRefreshTagInfoField() - ndern und Aktualisieren eines Tag-Info-Felds (Spalte fllen) */
echo '
function ajaxSetAndRefreshTagInfoField(tag_index, tag_field, tag_field_value){';
    jsCreateXMLHttpRequest('xmlhttp');
    echo '
//    xmlhttp.onreadystatechange = function(){
//        if(xmlhttp.readyState == 4){
//            eval("document.tagform." + tag_field + "_" + tag_index + ".value = xmlhttp.responseText;");
//        }
//    }

    action_string = "ajax_actions.php?ajax_action=set_and_refresh_tag_info_field&tag_index=" + tag_index + "&tag_field=" + tag_field;
    action_string += "&tag_field_value=" + tag_field_value + "&session_name=',$svweb_session_name,'";
    //alert(action_string);
    xmlhttp.open("GET", action_string, false);
    xmlhttp.send(null);
    eval("document.tagform." + tag_field + "_" + tag_index + ".value = xmlhttp.responseText;");
}';
/* }}} */

/* {{{ JavaScript-Funktion ajaxSetAndRefreshTagInfoFields() - ndern und Aktualisieren eines Tag-Info-Felds in smtlichen Tag-Indizes (Spalte fllen) */
echo '
function ajaxSetAndRefreshTagInfoFields(tag_field){
    var tag_field_value = null;

    // tag_field_value ermitteln
    if(FocusedTagIndex != null && !isNaN(FocusedTagIndex)){
        eval("tag_field_value = document.tagform." + tag_field + "_" + FocusedTagIndex + ".value;");
    }
    else if(PrevFocusedTagIndex != null && !isNaN(PrevFocusedTagIndex)){
        eval("tag_field_value = document.tagform." + tag_field + "_" + PrevFocusedTagIndex + ".value;");
    }

    // Spalte fllen und Anzeige aktualisieren
    if((!isNaN(tag_field_value) || trim(tag_field_value) == "") && tag_field_value != null){
        for(var i = 0; i < ',$sv->number_of_tags,'; i++){
            ajaxSetAndRefreshTagInfoField(i, tag_field, tag_field_value);
        }
    }
}';
/* }}} */

/* {{{ JavaScript-Funktion ajaxSwitchRefreshTagValues() - PHP-Member $sv->refresh_tag_values auf true oder false setzen */
echo '
function ajaxSwitchRefreshTagValues(checked){';
    jsCreateXMLHttpRequest('xmlhttp');
    echo '
    xmlhttp.open("GET", "ajax_actions.php?ajax_action=switch_refresh&checked=" + checked + "&session_name=',$svweb_session_name,'", false);
    xmlhttp.send(null);
    delete xmlhttp;
    xmlhttp = null;
}';
/* }}} */





/* {{{ JavaScript-Funktion open_tagselection() - TAG-Auswahl ffnen */
echo '
function open_tagselection(){
    var i;
    var tag_index = null;
    var tag_nr = null;
    var tmp_tag_nr = null;
    var number_of_tags = ',$sv->number_of_tags,';
    var wwidth = 700;
    var wheight = 300;
    var wleft = screen.availWidth - wwidth - 100;
    var wtop = screen.availHeight - wheight - 150;
    var wlayout = "location=no, menubar=no, resizable=yes, scrollbars=auto";
    wlayout += ", status=yes, toolbar=no, left=" + wleft + ", top=" + wtop;
    wlayout += ", width=" + wwidth + ", height=" + wheight;

    // tag_index ermitteln
    if(FocusedTagIndex != null && !isNaN(FocusedTagIndex)){
        tag_index = parseInt(FocusedTagIndex);
    }
    else if(PrevFocusedTagIndex != null && !isNaN(PrevFocusedTagIndex)){
        tag_index = parseInt(PrevFocusedTagIndex);
    }
    else{
        // Nchsten freien tag_index ermitteln
        for(i = 0; i < number_of_tags; i++){
            eval("tmp_tag_nr = parseInt(document.tagform.nummer_" + i + ".value);");
            if(isNaN(tmp_tag_nr)){
                tag_index = i;
                break;
            }
        }
        // Wenn keiner frei -> letzten verwenden
        if(tag_index == null){
            tag_index = --i;
        }
    }

    // tag_nr ermitteln, wenn gltiger tag_index
    if(tag_index != null && !isNaN(tag_index)){
        eval("tag_nr = document.tagform.nummer_" + tag_index + ".value;");
    }
    wndTagSelection = window.open("tagselection.php?tag_index=" + tag_index + "&tag_nr=" + tag_nr + "&session_name='
        ,$svweb_session_name,'", "wndTagSelection", wlayout);
    wndTagSelection.focus();
}';
/*function open_tagselection(){
    var i;
    var tag_index = null;
    var tag_nr = null;
    var tmp_tag_nr = null;
    var number_of_tags = ',$sv->number_of_tags,';
    var wwidth = 650;
    var wheight = 300;
    var wleft = screen.availWidth - wwidth - 100;
    var wtop = screen.availHeight - wheight - 150;
    var wlayout = "location=no, menubar=no, resizable=yes, scrollbars=auto";
    wlayout += ", status=yes, toolbar=no, left=" + wleft + ", top=" + wtop;
    wlayout += ", width=" + wwidth + ", height=" + wheight;

    // tag_index ermitteln
    if(FocusedTagIndex != null && !isNaN(FocusedTagIndex)){
        tag_index = parseInt(FocusedTagIndex);
    }
    else if(PrevFocusedTagIndex != null && !isNaN(PrevFocusedTagIndex)){
        tag_index = parseInt(PrevFocusedTagIndex);
    }
    else{
        // Nchsten freien tag_index ermitteln
        for(i = 0; i < number_of_tags; i++){
            eval("tmp_tag_nr = parseInt(document.tagform.nummer_" + i + ".value);");
            if(isNaN(tmp_tag_nr)){
                tag_index = i;
                break;
            }
        }
        // Wenn keiner frei -> letzten verwenden
        if(tag_index == null){
            tag_index = --i;
        }
    }

    // tag_nr ermitteln, wenn gltiger tag_index
    if(tag_index != null && !isNaN(tag_index)){
        eval("tag_nr = document.tagform.nummer_" + tag_index + ".value;");
    }
    wndTagSelection = window.open("tagselection.php?tag_index=" + tag_index + "&tag_nr=" + tag_nr + "&session_name='
        ,$svweb_session_name,'", "wndTagSelection", wlayout);
    wndTagSelection.focus();
}';
*/
/* }}} */

/* {{{ JavaScript-Funktion switch_refresh() - Refresh-Ein-/Ausschalter */
echo '
function switch_refresh(){
    if(document.tagform.refresh_tag_values.checked){';
    if(isset($interval_refresh)){
        echo '
        refreshInterval = window.setInterval("ajaxRefreshTagValues()", ',$interval_refresh,');';
    }
    echo '
        ajaxSwitchRefreshTagValues(true);
    }
    else{
        window.clearInterval(refreshInterval);
        ajaxSwitchRefreshTagValues(false);
    }
}';
/* }}} */

echo '
//-->
</script>';

/* {{{ CSS-Definitionen */
echo '
<style type="text/css">
<!--
#tagtable{
    background-image: url(auge.png);
    background-position: center center;
    background-repeat: no-repeat;
}
//-->
</style>';
/* }}} */

echo '
</head>

<body>
<div align="center" style="margin-top: 10px;">
<form name="tagform" action="',$actionfile,'" method="GET">
<input type="hidden" name="content" value="',$content,'">
<input type="hidden" name="session_name" value="',$svweb_session_name,'">
<input type="hidden" name="submit_action" value="addtag">';
/* {{{ Tagauswahl-HTML-Tabelle */
echo '
<table id="tagtable" style="border-style: inset; border-width: 4px;" border="0" cellspacing="0" cellpadding="5" summary="TAGs">
<tr>
    <td style="font-weight: bold;">',$text_array[$sv->lang_id]['tag_no'],'</td>
	<td></td>
    <td style="font-weight: bold;">',$text_array[$sv->lang_id]['name'],'</td>
    <td style="font-weight: bold;">',$text_array[$sv->lang_id]['dba'],'</td>
    <td style="font-weight: bold;">',$text_array[$sv->lang_id]['dbe'],'</td>
    <td style="font-weight: bold;">',$text_array[$sv->lang_id]['unit'],'</td>
    <td style="font-weight: bold;">',$text_array[$sv->lang_id]['curr_value'],'</td>
</tr>';

// Anzahl-Tags-Relevanz
for($i = 0; $i < $sv->number_of_tags; $i++){
    echo '
<tr>
    <td align="center">';
    show_tag_input($i, 'nummer', 8, 10, 'center', false);
	
	echo '
	</td>
		<td>
		<table cellpadding="0" cellspacing="0" border="0">
		<td><button type="button"  tabindex="-1"
					onclick= "ajaxGetTagInfoUp(',$i,', tagform.nummer_',$i,', true);"
					style="font-size:8px;margin:0;padding:0;width:25px;height:15px;">
					<img name="down_arrow" src="up_arrow.png" width="8" height="6">
		</button></td>
		<tr>
		<td><button type="button" tabindex="-1"
					onclick= "ajaxGetTagInfoDown(',$i,', tagform.nummer_',$i,', true);" 
					style="font-size:8px;margin:0;padding:0;width:25px;height:15px;">
					<img name="down_arrow" src="down_arrow.png" width="8" height="6">
		</button></td>
		
		</tr>
		</table>
		';
	
		
	
    echo '
    </td><td align="center">';
    show_tag_input($i, 'name', 50, 0, 'left', true);
    echo '
    </td><td align="center">';
    show_tag_input($i, 'dba', 8, 10, 'center', false);
    echo '
    </td><td align="center">';
    show_tag_input($i, 'dbe', 8, 10, 'center', false);
    echo '
    </td><td align="center">';
    show_tag_input($i, 'einheit', 8, 0, 'left', true);
    echo '
    </td><td align="center">';
    show_tag_input($i, 'wert', 15, 0, 'right', true);
    echo '
    </td>
</tr><tr>
    <td align="center">&nbsp;</td>
	<td align="center">&nbsp;</td>
    <td colspan="5" valign="top" style="padding-top: 1px;">
    <span id="info_',$i,'" class="colored_font">'
    ,(!empty($sv->tagauswahl[$i]['info'])?htmlspecialchars(dotted_if_too_long(trim($sv->tagauswahl[$i]['info']), 120)):''),
    '</span>
    </td>
</tr>';
}

echo '
<tr>
    <td class="table_separation" align="center">
    <button style="width: 40px;" name="btTagselection" type="button" tabindex="-1" title="',$text_array[$sv->lang_id]['tag_selection'],'"
        onclick="open_tagselection()">
    <img alt="',$text_array[$sv->lang_id]['tag_selection'],'" title="',$text_array[$sv->lang_id]['tag_selection'],'"
        src="tagselection.gif" width="15" height="15">
    </button>
    </td>
    <td class="table_separation" align="center">&nbsp;</td>
	<td class="table_separation" align="center">&nbsp;</td>
    <td class="table_separation" align="center">
    <button style="width: 40px;" name="btFillDBA" type="button" tabindex="-1" title="',$text_array[$sv->lang_id]['fill_column'],'"
        onclick="ajaxSetAndRefreshTagInfoFields(\'dba\')">&equiv;</button>
    </td>
    <td class="table_separation" align="center">
    <button style="width: 40px;" name="btFillDBE" type="button" tabindex="-1" title="',$text_array[$sv->lang_id]['fill_column'],'"
        onclick="ajaxSetAndRefreshTagInfoFields(\'dbe\')">&equiv;</button>
    </td>
    <td class="table_separation" colspan="2" align="right">
    <input style="border-style: none;" type="checkbox" tabindex="-1" name="refresh_tag_values" onclick="switch_refresh()"'
    ,($sv->refresh_tag_values?' checked':''),'>&nbsp;',$text_array[$sv->lang_id]['refresh'],'&nbsp;
    </td>
</tr>
</table>';
/* }}} */
//print_r_formatted($_GET);
//print_r_formatted($sv->tagauswahl);
echo '
</form>
</div>
</body>';

include('cont_bottom.inc.php');

store_session($sv);

/* {{{ PHP-Funktion show_tag_input() - Ausgabe eines TAG-Input-Elements */
function show_tag_input($counter_index, $assoc_index, $size = 8, $maxlength = 0, $align = 'left', $readonly = false){
    global $sv;
    $value = '';

    echo '
    <input';
    if($readonly){
        echo ' class="grayed_input"';
    }
    else{
        echo ' class="colored_input"';
    }
    echo ' style="text-align: ',$align,';"';
    echo ' name="',$assoc_index,'_',$counter_index,'"';
    // OnFocus
    echo ' onfocus="FocusedTagField = \'',$assoc_index,'\'; FocusedTagIndex = ',$counter_index,'; OnFocusContent = this.value;"';
	

	switch($assoc_index){
	 case 'dba':
	 case 'dbe':
	   echo ' tabindex="0" ';
        break;
	 case 'nummer':
        echo ' tabindex="1" ';
        break;
		
	 case 'name':
	 case 'einheit':
	 case 'wert':
	   echo ' tabindex="-1" ';
        break;
    }	 
	
	
	
   
   // OnBlur
    echo ' onblur="';
    switch($assoc_index){
    case 'dba':
    case 'dbe':
        echo 'ajaxSetTagInfoField(FocusedTagIndex, FocusedTagField);';
        break;
    case 'nummer':
        echo 'ajaxGetTagInfo(FocusedTagIndex, this);';
        break;
    }
    echo ' PrevFocusedTagIndex = FocusedTagIndex; FocusedTagIndex = null; FocusedTagField = null;"';

    // OnDblClick
    switch($assoc_index){
    case 'dba':
    case 'dbe':
        // Spalte fllen
        echo ' ondblclick="ajaxSetAndRefreshTagInfoFields(\'',$assoc_index,'\');"';
        break;
    case 'nummer':
        echo ' ondblclick="open_tagselection();" ';
        break;
    }
    if(!empty($size) && is_numeric($size)){
        echo ' size="',$size,'"';
    }
    if(!empty($maxlength) && is_numeric($maxlength)){
        echo ' maxlength="',$maxlength,'"';
    }

    switch($assoc_index){
    case 'dba':
    case 'dbe':
        if(isset($sv->tagauswahl[$counter_index][$assoc_index])){
            $value = trim($sv->tagauswahl[$counter_index][$assoc_index]);
        }
        break;
    case 'wert':
        // L TODO: Andere Zahlenformatierung?
        if(isset($sv->tagauswahl[$counter_index][$assoc_index])
            && is_numeric($sv->tagauswahl[$counter_index][$assoc_index])){
            $value = tag_value_format((float) $sv->tagauswahl[$counter_index][$assoc_index], (float) $sv->tagauswahl[$counter_index]['nach'] );
			//$value .= 'w';
			//$value = tag_value_format((float) $sv->tagauswahl[$counter_index][$assoc_index] );
			//$value = $sv->tagauswahl[$counter_index]['nach'];
			//$value = $sv->tagauswahl[$counter_index]['wert'];
			//$value = $counter_index;
        }
        break;
    default:
        if(!empty($sv->tagauswahl[$counter_index][$assoc_index])){
            $value = trim($sv->tagauswahl[$counter_index][$assoc_index]);
        }
        break;
    }
    echo ' value="',$value,'"';
    if($readonly){
        echo ' readonly';
    }
    echo '>';
}
/* }}} */

?>

