<?php

// vim: fdm=marker

/***************************
*  Andy Geiss 2009 - 2010  *
*  Tabulatorweite: 4       *
***************************/

ob_start();
require('scalarvis.inc.php');
ob_end_clean();
nocache();

error_reporting(E_ALL);

if(!start_session($sv)){
    session_no_longer_valid_msg();
}

if(!$sv->connect()){
    echo '<br>',get_sv_socket_errorstr_from_errno($sv->lang_id, $sv->get_socket_errno(), $sv->get_socket_last_error());
    exit;
}

//print_r_formatted($_GET);
//print_r_formatted($_POST);

$list_max = 15;

if(isset($_POST['tag_index'])){
    $tag_index = $_POST['tag_index'];
}
else if(isset($_GET['tag_index'])){
    $tag_index = $_GET['tag_index'];
}
else{
    $tag_index = '';
    echo '
    <script type="text/javascript">
    <!--
    alert(\'$tag_index is missing!\');
    //-->
    </script>';
    exit;
}

if(!empty($_POST['tag_nr'])){
    $tag_nr = $_POST['tag_nr'];
}
else if(!empty($_GET['tag_nr'])){
    $tag_nr = $_GET['tag_nr'];
}
else{
    $tag_nr = 0;
}
if(!is_numeric($tag_nr) || $tag_nr < 1){
    $tag_nr = 1;
}
else{
    $tag_nr = intval($tag_nr);
}

if(!empty($_POST['search'])){
    $search = $_POST['search'];
}
else if(!empty($_GET['search'])){
    $search = $_GET['search'];
}
else{
    $search = '';
}
$search = trim($search);

// Wenn Submit per JavaScript-encodeURIComponent() erfolgt ist
if(isset($_REQUEST['euc']) && $_REQUEST['euc']){
    $search = utf8_decode($search);
}

if(!empty($_POST['direction'])){
    $direction = $_POST['direction'];
}
else if(!empty($_GET['direction'])){
    $direction = $_GET['direction'];
}
else{
    $direction = 'up';
}
$direction = trim($direction);

$tagliste = array();
$tag_list_forward = 0;
$tag_list_reverse = 0;

$sv->get_taglist($tag_nr, 
                 $list_max, 
                 $tag_list_forward, 
                 $tag_list_reverse, 
                 $tagliste, 
                 $direction, 
                 'undefined');
// RS SearchListe
$searchtagliste = array();
$searchtag_list_forward = 0;
$searchtag_list_reverse = 0;

$sv->get_searchtaglist($tag_nr, 
                 $list_max, 
                 $tag_list_forward, 
                 $tag_list_reverse, 
                 $searchtagliste, 
                 $direction, 
                 (strlen($search)?$search:'undefined'));

echo '
<!-- Andy Geiss 2009 -->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>

<head>
<meta http-equiv="expires" content="0">
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta http-equiv="imagetoolbar" content="no">
<title>',$text_array[$sv->lang_id]['tag_selection'],'</title>
<link rel="shortcut icon" href="favicon.ico" />
<link rel="icon" href="favicon.ico" />
<link rel="stylesheet" type="text/css" href="style.css">
<script type="text/javascript" src="functions.js"></script>
<style type="text/css">
<!--
a{
    font-weight: normal;
}
.button_width{
    width: 50px;
}
//-->
</style>

<script type="text/javascript">
<!--
var enc_search = encodeURIComponent("',$search,'");

self.focus();

function key_down_event(event){
    var keyCode;
    if(!event){
        event = window.event;
    }
    if(event.which){
        keyCode = event.which;
    }
    else{
        if(event.keyCode){
            keyCode = event.keyCode;
        }
    }
    //alert("Taste mit Dezimalwert " + keyCode + " gedrckt");
    
    // Esc
    if(keyCode == 27){
        window.close();
    }
}
document.onkeydown = key_down_event;

function OK(tag_nr){
    if(tag_nr && !isNaN(tag_nr) && tag_nr > 0){
        ActiveTagNo = parseInt(tag_nr);
    }
    
    if(od_p.tagform.nummer_',$tag_index,'){
        od_p.tagform.nummer_',$tag_index,'.value = ActiveTagNo;
        opener.ajaxGetTagInfo(',$tag_index,');
    }
    
    window.close();
}

function fCancel(){
    window.close();
}

function first(){
    var url = "tagselection.php?tag_index=',$tag_index,'";
    url += "&tag_nr=0";
    url += "&search=" + enc_search;
    url += "&direction=up";
    url += "&euc=1";
    url += "&session_name=',$svweb_session_name,'";
    //alert(url);
    location.href = url;
}

function back(){
    var url = "tagselection.php?tag_index=',$tag_index,'";
    url += "&tag_nr=',(isset($tagliste[0])?$tagliste[0]['nummer'] - 1:0),'";
    url += "&search=" + enc_search;
    url += "&direction=',(isset($tagliste[0])?'down':'up'),'";
    url += "&euc=1";
    url += "&session_name=',$svweb_session_name,'";
    //alert(url);
    location.href = url;
}

function next(){
    var url = "tagselection.php?tag_index=',$tag_index,'";
    url += "&tag_nr=',(isset($tagliste[count($tagliste) - 1])?$tagliste[count($tagliste) - 1]['nummer'] + 1:0),'";
    url += "&search=" + enc_search;
    url += "&direction=up";
    url += "&euc=1";
    url += "&session_name=',$svweb_session_name,'";
    //alert(url);
    location.href = url;
}

function last(){
    var url = "tagselection.php?tag_index=',$tag_index,'";
    url += "&tag_nr=',(isset($sv->sysinfo['tag_anzahl'])?$sv->sysinfo['tag_anzahl']:0),'";
    url += "&search=" + enc_search;
    url += "&direction=',(isset($sv->sysinfo['tag_anzahl'])?'down':'up'),'";
    url += "&euc=1";
    url += "&session_name=',$svweb_session_name,'";
    //alert(url);
    location.href = url;
}

//-->
</script>
</head>
<body>
<form name="tagselectform" action="',$_SERVER["SCRIPT_NAME"],'" method="POST">

<!-- Tabelle fr Navigation -->
<table border="0" cellspacing="1" cellpadding="3" width="100%" summary="TAG Selection Search">
<tr>
    <td>
    <!-- Tabelle fr Inhalt -->
    <table style="border-collapse: collapse;" border="0" cellspacing="0" cellpadding="3" width="100%" onclick="doIt(event, 0)" summary="TAG Selection List">
    <tr>
        <th class="td_border" width="22%">',$text_array[$sv->lang_id]['tag_no'],'</th>
        <th class="td_border" width="55%">',$text_array[$sv->lang_id]['name'],'</th>
        <th class="td_border" width="18%">',$text_array[$sv->lang_id]['unit'],'</th>';
    foreach($tagliste as $tag){
        $tmp_tag_nr = $tag['nummer'];
        if(!is_numeric($tmp_tag_nr) || $tmp_tag_nr < 1){
            $tmp_tag_nr = 1;
        }
        else{
            $tmp_tag_nr = intval($tmp_tag_nr);
        }
        $tmp_name_full = $tag['name'].', '.$tag['info'];
        $tmp_name_dotted = dotted_if_too_long($tmp_name_full, 50);
        echo '
        </tr><tr>
            <td class="td_border" align="center">
            <a href=javascript:OK(',$tmp_tag_nr,')" title="',htmlspecialchars($tmp_name_full),'">
                ',htmlspecialchars($tmp_tag_nr),'</a>
            </td>
            <td class="td_border">
            <a href=javascript:OK(',$tmp_tag_nr,')" title="',htmlspecialchars($tmp_name_full),'">
                ',htmlspecialchars($tmp_name_dotted),'</a>
            </td>
            <td class="td_border" align="center">
            <a href=javascript:OK(',$tmp_tag_nr,')" title="',htmlspecialchars($tmp_name_full),'">
                ',htmlspecialchars($tag['einheit']),'</a>
            </td>';
    }
    echo '
    </tr>
    </table>
    </td>
</tr><tr>
    </td align="center"> 

    <!-- Tabelle fr Navigation -->
    <table align="left" border="0" cellspacing="1" cellpadding="3" width="100%" summary="TAG Selection Navigation">
    <tr>
        <td align="left">
        <input class="button_width" type="button" name="btFirst" value="&Iota;&lt;&lt;" onclick="first()"';
        if(!$tag_list_reverse){
            echo ' disabled';
        }
        echo '>
        </td>
        <td align="left">
        <input class="button_width" type="button" name="btBack" value="&lt;&lt;" onclick="back()"';
        if(!$tag_list_reverse){
            echo ' disabled';
        }
        echo '>
        </td>
        <td align="center">
        <input type="hidden" name="tag_index" value="',$tag_index,'">
        <input type="hidden" name="session_name" value="',$session_name,'">
        <input class="colored_input" type="text" name="search" size="45"value="',$search,'">&nbsp&nbsp;',
	'<input style="width: 70px;" type="submit" name="btSearch" value="',$text_array$sv->lang_id'search','" >
        </td>
        <td align="right">
        <input class="button_width" type="button" name="btNext" value="&gt;&gt;" onclick="next()"';
        if(!$tag_list_forward){
            echo ' disabled';
        }
        echo '>
        </td>
        <td align="right">
        <input class="button_width" type="button" name="btLast" value="&gt;&gt;&Iota;" onclick="last()"';
        if(!$tag_list_forward){
            echo ' disabled';
        }
        echo '>
        </td>
    </tr>
    </table>

<script type="text/javascript">
<!--
var od_p = opener.document;
var ActiveTagNo;
if(od_p.tagform.nummer_',$tag_index,'){
    ActiveTagNo = parseInt(od_p.tagform.nummer_',$tag_index,'.value);
}
//-->
</script>

</form>
</body>
</html>';

store_session($sv);

?>
