<?php

// vim: fdm=marker

/***************************
*  Andy Geiss 2007 - 2010  *
*  Tabulatorweite: 4       *
***************************/

error_reporting(E_ALL);

$attribute_array = array();

ob_start();
require('functions.inc');
include('texts.inc');
include('attributes.inc');
ob_end_clean();

echo '
<!-- Andy Geiss 2007 - 2010 -->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!-- DOCTYPE html -->

<html>
<head>
<meta http-equiv="expires" content="0">
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta http-equiv="imagetoolbar" content="no">
<title>Flowchart Edit</title>';

/* {{{ CSS-Definitionen */
echo '
<link rel="stylesheet" type="text/css" href="flowchartedit.css">
<style type="text/css">
<!--
input, button{
    font-size: 12px;
}
td{
    font-size: 12px;
}
.td_colordisp{
    width: 120px;
    height: 20px;
    border-style: solid;
    border-color: #808080;
    border-width: 1px;
    font-family: Courier;
    font-size: 10px;
    font-weight: bold;
}
.td_fontdisp{
    width: 120px;
    height: 20px;
    background-color: #ffffff;
    border-style: solid;
    border-color: #808080;
    border-width: 1px;
    font-family: Arial;
    font-size: 12px;
    font-weight: bold;
}
//-->
</style>';
/* }}} */

/* {{{ JavaScript-Funktionen */
echo '
<script type="text/javascript" src="functions.js"></script>

<script language="JavaScript">
<!--

function key_down_event(event){
    var keyCode;
    if(!event){
        event = window.event;
    }
    if(event.which){
        keyCode = event.which;
    }
    else{
        if(event.keyCode){
            keyCode = event.keyCode;
        }
    }
    //alert("Taste mit Dezimalwert " + keyCode + " gedrckt");
}
document.onkeydown = key_down_event;

function disableLayerButton(DisableBool, ButtonName){
    switch(ButtonName){
        case \'btLayerTop\':
            document.attributes_form.btLayerTop.disabled = DisableBool;
            if(DisableBool){
                document.imgLayerTop.src = \'layer_top_dis.gif\';
            }
            else{
                document.imgLayerTop.src = \'layer_top.gif\';
            }
        break;
        case \'btLayerUp\':
            document.attributes_form.btLayerUp.disabled = DisableBool;
            if(DisableBool){
                document.imgLayerUp.src = \'layer_up_dis.gif\';
            }
            else{
                document.imgLayerUp.src = \'layer_up.gif\';
            }
        break;
        case \'btLayerDown\':
            document.attributes_form.btLayerDown.disabled = DisableBool;
            if(DisableBool){
                document.imgLayerDown.src = \'layer_down_dis.gif\';
            }
            else{
                document.imgLayerDown.src = \'layer_down.gif\';
            }
        break;
        case \'btLayerBottom\':
            document.attributes_form.btLayerBottom.disabled = DisableBool;
            if(DisableBool){
                document.imgLayerBottom.src = \'layer_bottom_dis.gif\';
            }
            else{
                document.imgLayerBottom.src = \'layer_bottom.gif\';
            }
        break;
    }
}

function setLayer(LayerDiff){
    if(!LayerDiff || isNaN(LayerDiff)){
        return false;
    }

    var OldZ = d_p.z;
    var NewZ = d_p.z + LayerDiff;
    var id_attribute_name;

    if(LayerDiff > 0){
        if(NewZ > parent.workspace.dd.getMaxRelevantZ()){
            return false;
        }
    }
    if(LayerDiff < 0){
        if(NewZ < parent.workspace.dd.getMinRelevantZ()){
            return false;
        }
    }

    if(NewZ < 1 || NewZ == OldZ){
        return false;
    }

    // Dem aktiven Element die neue Ebene zuordnen
    d_p = parent.workspace.dd.elements[objName];
    d_p.setUniqueZ(NewZ);
    document.attributes_form.Ebene.value = d_p.attributes.Ebene.value;

    id_attribute_name = document.getElementById("id_Ebene");
    if(id_attribute_name){
        id_attribute_name.innerHTML = document.attributes_form.Ebene.value;
    }

    if(d_p.z < parent.workspace.dd.getMaxRelevantZ()){
        disableLayerButton(false, "btLayerTop");
        disableLayerButton(false, "btLayerUp");
    }
    else{
        disableLayerButton(true, "btLayerTop");
        disableLayerButton(true, "btLayerUp");
    }
    if(d_p.z > parent.workspace.dd.getMinRelevantZ()){
        disableLayerButton(false, "btLayerDown");
        disableLayerButton(false, "btLayerBottom");
    }
    else{
        disableLayerButton(true, "btLayerDown");
        disableLayerButton(true, "btLayerBottom");
    }

    return true;
}

function setLayerTop(){
    var retval = false;
    var MaxRelevantZ = 0;
    var LayerDiff = 0;

    if(parent.workspace.dd){
        MaxRelevantZ = parent.workspace.dd.getMaxRelevantZ();
        if(!isNaN(MaxRelevantZ) && !isNaN(d_p.z) && MaxRelevantZ > d_p.z){
            LayerDiff = MaxRelevantZ - d_p.z;
            retval = setLayer(LayerDiff);
        }
    }

    return retval;
}

function setLayerBottom(){
    var retval = false;
    var MinRelevantZ = 0;
    var LayerDiff = 0;

    if(parent.workspace.dd){
        MinRelevantZ = parent.workspace.dd.getMinRelevantZ();
        if(!isNaN(MinRelevantZ) && !isNaN(d_p.z) && MinRelevantZ < d_p.z){
            LayerDiff = MinRelevantZ - d_p.z;
            retval = setLayer(LayerDiff);
        }
    }

    return retval;
}

//-->
</script>';
/* }}} */

echo '
</head>

<body>';

/* {{{ Form-Container */
echo '
<form name="attributes_form" action="',$_SERVER["SCRIPT_NAME"],'" 
    method="POST" onSubmit="return checkAttributesForm();">

<!-- bergeordnete Tabelle Anfang -->
<table border="0" cellpadding="0" cellspacing="0">
<tr>
    <td valign="top">

<!-- 1. Untergeordnete Tabelle Anfang -->
<table style="border-collapse: collapse;" border="0" cellpadding="1" cellspacing="0">
<tr>
    <td class="td_border" colspan="4" align="center">
    <input type="hidden" name="objName">
    <input type="hidden" name="submit_action" value="set_attributes">
    ',$session_hidden_input,'

    <!-- Untergeordnete Tabelle fr Ebene-Buttons Anfang -->
    <table border="0" cellpadding="1" cellspacing="0" width="100%">
    <tr>
        <td align="center">
        <input style="width: 100px;" type="submit" name="submit_button" value="OK">
        </td>';

        echo '
        <td align="left">
        <button name="btLayerTop" type="button" alt="',lang_text('layer_top'),'" title="',lang_text('layer_top'),'"
        onclick="setLayerTop()">
        <img name="imgLayerTop" alt="',lang_text('layer_top'),'" title="',lang_text('layer_top'),'" 
        src="layer_top_dis.gif" width="15" height="15">
        </button>
        </td>
        <td align="left">
        <button name="btLayerUp" type="button" alt="',lang_text('layer_up'),'" title="',lang_text('layer_up'),'"
        onclick="setLayer(1)">
        <img name="imgLayerUp" alt="',lang_text('layer_up'),'" title="',lang_text('layer_up'),'" 
        src="layer_up_dis.gif" width="15" height="15">
        </button>
        </td>
        <td align="right">
        <button name="btLayerDown" type="button" alt="',lang_text('layer_down'),'" title="',lang_text('layer_down'),'"
        onclick="setLayer(-1)">
        <img name="imgLayerDown" alt="',lang_text('layer_down'),'" title="',lang_text('layer_down'),'" 
        src="layer_down_dis.gif" width="15" height="15">
        </button>
        </td>
        <td align="right">
        <button name="btLayerBottom" type="button" alt="',lang_text('layer_bottom'),'" title="',lang_text('layer_bottom'),'"
        onclick="setLayerBottom()">
        <img name="imgLayerBottom" alt="',lang_text('layer_bottom'),'" title="',lang_text('layer_bottom'),'" 
        src="layer_bottom_dis.gif" width="15" height="15">
        </button>
        </td>';

        echo '
    </tr>
    <!-- Untergeordnete Tabelle fr Ebene-Buttons Ende -->
    </table>

    </td>
</tr><tr>';
// Attribut-Relevanz
$i = 0;
foreach($attribute_array as $attribute_name => $attribute){
    $isDDObjProperty = false;
    $InputSize = 0;
    $InputMaxlength = 0;
    
    get_attribute_properties($attribute, $isDDObjProperty, $InputSize, $InputMaxlength);
    
    // Alle DDObjProperty-bezogenen Attribute links auflisten (betreffen smtliche Tag-Typen)
    if($isDDObjProperty){
        if($i > 1 && $i != 3 && $i != 5){
            echo '
    </tr><tr>';
        }
        echo '
        <td class="td_border" style="text-align: right;">&nbsp;&nbsp;',$attribute_name,':&nbsp;</td>
        <td class="td_border" style="text-align: left;"';
        if($InputSize > 0 && $InputMaxlength == 0){
            echo ' width="',$InputSize * 12,'"';
        }
        echo '>';
        // Wenn nderbar, Input-Tag ...
        if($InputMaxlength > 0){
            echo '
            <input class="attribute_input" type="text" name="',$attribute_name,'" 
                size="',$InputSize,'" maxlength="',$InputMaxlength,'">';
        }
        // ... ansonsten nur anzeigen
        else{
            echo '
            <input type="hidden" name="',$attribute_name,'">'
            ,'&nbsp;&nbsp;<span id="id_',$attribute_name,'"></span>&nbsp;&nbsp;';
        }
        echo '
        </td>';
        $i++;
    }
}
echo '
</tr><tr>
    <td colspan="4" align="center">
    <span id="id_object_no"></span>
    </td>
</tr>
<!-- 1. Untergeordnete Tabelle Ende -->
</table>

</td><td valign="top">&nbsp;&nbsp;&nbsp;</td><td valign="top">

<!-- 2. Untergeordnete Tabelle Anfang -->
<table style="border-collapse: collapse;" border="0" cellpadding="1" cellspacing="0">';
// Attribut-Relevanz
$pulldown_value_array = array();
$gdg_colorpicker = array();
$gdg_colordisplay = array();
$gdg_fontselection = array();
$gdg_fontdisplay = array();
$gdg_picselection = array();
$gdg_tagselection = array();
foreach($attribute_array as $attribute_name => $attribute){
    $isDDObjProperty = false;
    $InputSize = 0;
    $InputMaxlength = 0;
    
    get_attribute_properties($attribute, $isDDObjProperty, $InputSize, $InputMaxlength);
    
    // Gadgets bercksichtigen
    if(isset($gadget_array[$attribute_name])){
        foreach($gadget_array[$attribute_name] as $gadget){
            if(substr($gadget, 0, 8) == 'pulldown'){
                $pulldown_value_array[$attribute_name] = explode(';', $gadget);
                // Erstes Array-Element (pulldown) entfernen
                array_splice($pulldown_value_array[$attribute_name], 0, 1);
            }
            if(substr($gadget, 0, 11) == 'colorpicker'){
                $gdg_colorpicker[$attribute_name] = true;
            }
            if(substr($gadget, 0, 12) == 'colordisplay'){
                $gdg_colordisplay[$attribute_name] = true;
            }
            if(substr($gadget, 0, 13) == 'fontselection'){
                $gdg_fontselection[$attribute_name] = true;
            }
            if(substr($gadget, 0, 11) == 'fontdisplay'){
                $gdg_fontdisplay[$attribute_name] = true;
            }
            if(substr($gadget, 0, 13) == 'picselection'){
                $gdg_picselection[$attribute_name] = true;
            }
            if(substr($gadget, 0, 13) == 'tagselection'){
                $gdg_tagselection[$attribute_name] = true;
            }
        }
    }
    
    // Alle nicht DDObjProperty-bezogenen Attribute rechts auflisten (betreffen nur bestimmte Tag-Typen)
    if(!$isDDObjProperty){
        echo '
    <tr id="id_tr_',$attribute_name,'" style="display: none;">
        <!-- Label-TD -->
        <td class="td_border" id="id_tdl_',$attribute_name,'" style="text-align: right;">&nbsp;&nbsp;',$attribute_name,':&nbsp;</td>
        <!-- Input-TD -->
        <td class="td_border" id="id_tdi_',$attribute_name,'" style="text-align: left;">
        
        <!-- Input-Tabelle Anfang (beinhaltet Gadget-TD inkl. Gadget-Tabelle) -->
        <table id="id_tbli_',$attribute_name,'" border="0" cellpadding="0" cellspacing="0">
        <tr id="id_tri_',$attribute_name,'">
            <td id="id_tditi_',$attribute_name,'" style="text-align: left;"';
            if($InputSize > 0 && $InputMaxlength == 0){
                echo ' width="',$InputSize * 12,'"';
            }
            echo '>';
            
            // Pulldownmen
            if(isset($pulldown_value_array[$attribute_name])){
                echo '
                <select name="',$attribute_name,'" onchange="setAttributeInstanceFromInput(\'',$attribute_name,'\')">';
                foreach($pulldown_value_array[$attribute_name] as $option){
                    $tmp_array = explode('-', $option, 2);
                    $option_value = trim($tmp_array[0]);
                    $option_text = $option_value;
                    if(isset($tmp_array[1])){
                        $option_text .= ' - '.lang_text(trim($tmp_array[1]));
                    }
                    echo '
                    <option value="',$option_value,'">',$option_text,'</option>';
                }
                echo '
                </select>';
            }
            // Wenn nderbar, Input-Tag ...
            else if($InputMaxlength > 0){
                echo '
                <input class="attribute_input" type="text" onchange="setAttributeInstanceFromInput(\'',$attribute_name,'\')"
                    name="',$attribute_name,'" size="',$InputSize,'" maxlength="',$InputMaxlength,'">';
            }
            // ... ansonsten nur anzeigen
            else{
                echo '
                <input type="hidden" name="',$attribute_name,'">'
                ,'&nbsp;&nbsp;<span id="id_',$attribute_name,'"></span>&nbsp;&nbsp;';
            }
            
            echo '
            </td>
            <!-- Gadget-TD -->
            <td id="id_tditg_',$attribute_name,'" style="text-align: left;">
            
            <!-- Gadget-Tabelle Anfang -->
            <table id="id_tblg_',$attribute_name,'" border="0" cellpadding="0" cellspacing="0">
            <tr id="id_trg_',$attribute_name,'">';
                $tdgt_count = 0;
                
                // Color-Display
                if(isset($gdg_colordisplay[$attribute_name]) && $gdg_colordisplay[$attribute_name]){
                    $tdgt_count++;
                    echo '
                    <td id="id_tdgtg',$tdgt_count,'_',$attribute_name,'">
                    
                    <table id="id_tblcd_',$attribute_name,'" border="0" cellpadding="0" cellspacing="0">
                    <tr id="id_trcd_',$attribute_name,'">
                        <td class="td_colordisp" id="id_cd_',$attribute_name,'" align="center">&nbsp;</td>
                    </tr>
                    </table>
                    
                    </td>';
                }
                
                // Color-Picker
                if(isset($gdg_colorpicker[$attribute_name]) && $gdg_colorpicker[$attribute_name]){
                    $tdgt_count++;
                    echo '
                    <td id="id_tdgtg',$tdgt_count,'_',$attribute_name,'">
                    
                    <button id="id_cp_',$attribute_name,'" type="button" 
                        alt="',lang_text('colorpicker'),'" title="',lang_text('colorpicker'),'"
                        onclick="open_colorpicker(\'',$attribute_name,'\')">
                    <img alt="',lang_text('colorpicker'),'" title="',lang_text('colorpicker'),'" 
                        src="colorpicker.gif" width="15" height="15">
                    </button>
                    
                    </td>';
                }
                
                // Font-Display
                if(isset($gdg_fontdisplay[$attribute_name]) && $gdg_fontdisplay[$attribute_name]){
                    $tdgt_count++;
                    echo '
                    <td id="id_tdgtg',$tdgt_count,'_',$attribute_name,'">
                    
                    <table id="id_tblfd_',$attribute_name,'" border="0" cellpadding="0" cellspacing="0">
                    <tr id="id_trfd_',$attribute_name,'">
                        <td class="td_fontdisp" id="id_fd_',$attribute_name,'" align="center">&nbsp;</td>
                    </tr>
                    </table>
                    
                    </td>';
                }
                
                // Font-Selection
                if(isset($gdg_fontselection[$attribute_name]) && $gdg_fontselection[$attribute_name]){
                    $tdgt_count++;
                    echo '
                    <td id="id_tdgtg',$tdgt_count,'_',$attribute_name,'">
                    
                    <button id="id_fs_',$attribute_name,'" type="button" 
                        alt="',lang_text('fontselection'),'" title="',lang_text('fontselection'),'"
                        onclick="open_fontselection(\'',$attribute_name,'\')">
                    <img alt="',lang_text('fontselection'),'" title="',lang_text('fontselection'),'" 
                        src="fontselection.gif" width="15" height="15">
                    </button>
                    
                    </td>';
                }
                
                // Pic-Selection
                // L TODO: Bei Binrunterscheidung ausblenden?
                if(isset($gdg_picselection[$attribute_name]) && $gdg_picselection[$attribute_name]){
                    $tdgt_count++;
                    echo '
                    <td id="id_tdgtg',$tdgt_count,'_',$attribute_name,'">
                    
                    <button id="id_ps_',$attribute_name,'" type="button" 
                        alt="',lang_text('picselection'),'" title="',lang_text('picselection'),'"
                        onclick="open_picselection(\'',$attribute_name,'\')">
                    <img alt="',lang_text('picselection'),'" title="',lang_text('picselection'),'" 
                        src="picselection.gif" width="15" height="15">
                    </button>
                    
                    </td>';
                }
                
                // Tag-Selection nur, wenn $sv_user gesetzt
                if(isset($gdg_tagselection[$attribute_name]) 
                && $gdg_tagselection[$attribute_name] && !empty($sv_user)){
                    $tdgt_count++;
                    echo '
                    <td id="id_tdgtg',$tdgt_count,'_',$attribute_name,'">
                    
                    <button id="id_ps_',$attribute_name,'" type="button" 
                        alt="',lang_text('tagselection'),'" title="',lang_text('tagselection'),'"
                        onclick="open_tagselection(\'',$attribute_name,'\')">
                    <img alt="',lang_text('tagselection'),'" title="',lang_text('tagselection'),'" 
                        src="tagselection.gif" width="15" height="15">
                    </button>
                    
                    </td>';
                }
                
                if(!$tdgt_count){
                    $tdgt_count++;
                    echo '
                    <td id="id_tdgtg',$tdgt_count,'_',$attribute_name,'" style="text-align: left;"></td>';
                }
            echo '
            </tr>
            </table>
            <!-- Gadget-Tabelle Ende -->
            
            </td>
        </tr>
        <!-- Input-Tabelle Ende -->
        </table>
        
        </td>
    </tr>';
    }
}
echo '
<!-- 2. Untergeordnete Tabelle Ende -->
</table>

    </td>
</tr>
<!-- bergeordnete Tabelle Ende -->
</table>
</form>';
/* }}} */

//print_r_formatted($_POST);

/* {{{ JavaScript-Funktionen 2 */
echo '
<script type="text/javascript">
<!--

// Buttons standardmig abblenden
document.attributes_form.submit_button.disabled = true;
disableLayerButton(true, "btLayerTop");
disableLayerButton(true, "btLayerUp");
disableLayerButton(true, "btLayerDown");
disableLayerButton(true, "btLayerBottom");';

// Attribut-Relevanz
// Attribute in Workspace bernehmen
if(isset($_POST['submit_action']) && $_POST['submit_action'] == 'set_attributes'){
    if(isset($_POST['PosWidth'])){
        $PosWidth = $_POST['PosWidth'];
    }
    else{
        $PosWidth = 0;
    }
    if(!is_numeric($PosWidth) || $PosWidth < 100){
        $PosWidth = 100;
    }
    
    if(isset($_POST['PosHeight'])){
        $PosHeight = $_POST['PosHeight'];
    }
    else{
        $PosHeight = 0;
    }
    if(!is_numeric($PosHeight) || $PosHeight < 100){
        $PosHeight = 100;
    }
    
    $PosLeft = twips2pixels($_POST['PosLeft'], $TwipsPerPixelX);
    $PosTop = twips2pixels($_POST['PosTop'], $TwipsPerPixelY);
    $PosWidth = twips2pixels($PosWidth, $TwipsPerPixelX);
    $PosHeight = twips2pixels($PosHeight, $TwipsPerPixelY);
}
else{
    $PosLeft = -1;
    $PosTop = -1;
    $PosWidth = -1;
    $PosHeight = -1;
}

echo '
var submit_action = \'',(isset($_POST['submit_action'])?$_POST['submit_action']:''),'\';
var objName = \'',(isset($_POST['objName'])?$_POST['objName']:''),'\';
var d_p;

if(submit_action == \'set_attributes\'){
    d_p = parent.workspace.dd.elements[objName];
    d_p.moveTo(',$PosLeft,', ',$PosTop,');
    d_p.resizeTo(',$PosWidth,', ',$PosHeight,');
    // FR SCALABLE Verhltnis bernehmen
    d_p.defh = d_p.h;
    d_p.defw = d_p.w;
    fillAttributesForm(objName, \'SUBMIT\');
    d_p.drawTagImage("',$img_path,'", false, "',lang_text('resize_confirm'),'");
    // PosHeight und PosWidth nach drawTagImage-Resize neu ermitteln
    document.attributes_form.PosWidth.value = d_p.attributes.PosWidth.value = pixels2twips(d_p.w, ',$TwipsPerPixelX,');
    document.attributes_form.PosHeight.value = d_p.attributes.PosHeight.value = pixels2twips(d_p.h, ',$TwipsPerPixelY,');
    d_p.jgDraw();
}

function fillAttributesForm(newObjName, evt){
    if(!evt){
        evt = \'\';
    }
    if(newObjName && document.attributes_form){
        document.attributes_form.objName.value = objName = newObjName;
        document.attributes_form.submit_button.disabled = false;
        d_p = parent.workspace.dd.elements[objName];
        if(d_p.z < parent.workspace.dd.getMaxRelevantZ()){
            disableLayerButton(false, "btLayerTop");
            disableLayerButton(false, "btLayerUp");
        }
        else{
            disableLayerButton(true, "btLayerTop");
            disableLayerButton(true, "btLayerUp");
        }
        if(d_p.z > parent.workspace.dd.getMinRelevantZ()){
            disableLayerButton(false, "btLayerDown");
            disableLayerButton(false, "btLayerBottom");
        }
        else{
            disableLayerButton(true, "btLayerDown");
            disableLayerButton(true, "btLayerBottom");
        }
        document.getElementById("id_object_no").innerHTML = d_p.ini_section;';
        js_set_attributes_object_values('d_p', true);
        echo '
        var SwitchInputFieldActivation = true;
        if(evt == "DRAG" && document.attributes_form.ForeColor.value != \'\'){
            SwitchInputFieldActivation = false;
        }';
        // Attribut-Relevanz?
        foreach($attribute_array as $attribute_name => $attribute){
            if(isset($attribute['InputVisible']) && is_numeric($attribute['InputVisible'])){
                $InputVisible = (int) $attribute['InputVisible'];
            }
            else{
                $InputVisible = 1;
            }
            if(strlen(trim($attribute['DDObjProperty']))){
                $isDDObjProperty = true;
            }
            else{
                $isDDObjProperty = false;
            }
            echo '
            if(SwitchInputFieldActivation){
                if(!d_p.attributes.',$attribute_name,'){
                    deactivateInputField(document.attributes_form.',$attribute_name,');';
                if(!$isDDObjProperty){
                    echo '
                    displayAttribute(\'',$attribute_name,'\', \'none\');';
                }
                echo '
                }
                else{
                    activateInputField(document.attributes_form.',$attribute_name,');';
                if(!$isDDObjProperty){
                    echo '
                    displayAttribute(\'',$attribute_name,'\', \'\', ',($InputVisible?'false':'true'),');';
                }
                echo '
                }
            }';
        }
    echo '
    }
}

function clearAttributesForm(){
    if(document.attributes_form){
        document.attributes_form.objName.value = \'\';
        document.attributes_form.submit_button.disabled = true;
        disableLayerButton(true, "btLayerTop");
        disableLayerButton(true, "btLayerUp");
        disableLayerButton(true, "btLayerDown");
        disableLayerButton(true, "btLayerBottom");
        document.getElementById("id_object_no").innerHTML = \'\';';
        // Attribut-Relevanz?
        foreach($attribute_array as $attribute_name => $attribute){
            if(strlen(trim($attribute['DDObjProperty']))){
                $isDDObjProperty = true;
            }
            else{
                $isDDObjProperty = false;
            }
            echo '
            document.attributes_form.',$attribute_name,'.value = \'\';
            if(document.attributes_form.',$attribute_name,'.type == "hidden"){
                document.getElementById("id_',$attribute_name,'").innerHTML = \'\';
            }
            if(document.attributes_form.',$attribute_name,'.type == "text"
            || document.attributes_form.',$attribute_name,'.type == "select-one"){
                deactivateInputField(document.attributes_form.',$attribute_name,');';
            if(!$isDDObjProperty){
                echo '
                displayAttribute(\'',$attribute_name,'\', \'none\');';
            }
            echo '
            }';
        }
    echo '
    }
}

function activateInputField(if_p){
    if(if_p.type == "text" || if_p.type == "select-one"){
        if_p.readOnly = false;
        if_p.style.backgroundColor = \'#ffffff\';
    }
}

function deactivateInputField(if_p){
    if(if_p.type == "text" || if_p.type == "select-one"){
        if_p.readOnly = true;
        if_p.style.backgroundColor = \'#d0d0d0\';
    }
}

// Attribute inkl. Table-Elemente ein-/ausblenden (DisplayStyle none = ausblenden)
// Attribut-Relevanz
function displayAttribute(attribute_name, DisplayStyle, HideInputTD){
    var ElementsToShow = new Array();
    var i = 0;
    var e_p;
    
    if(!DisplayStyle){
        DisplayStyle = \'\';
    }
    if(!HideInputTD){
        HideInputTD = false;
    }
    
    eval("ElementsToShow[i] = document.getElementById(\'id_tr_" + attribute_name + "\');");
    i++;
    eval("ElementsToShow[i] = document.getElementById(\'id_tditi_" + attribute_name + "\');");
    
    for(var ElementIndex in ElementsToShow){
        e_p = ElementsToShow[ElementIndex];
        if(e_p.style){
            if(HideInputTD && e_p.id.substr(0, 8) == \'id_tditi\'){
                e_p.style.display = \'none\';
            }
            else{
                e_p.style.display = DisplayStyle;
            }
        }
    }
    
    // Color-Display aktualisieren
    eval("e_p = document.getElementById(\'id_cd_" + attribute_name + "\');");
    if(e_p){
        if(DisplayStyle == \'\'){
            setDispColor(attribute_name, e_p);
        }
    }
    
    // Font-Display aktualisieren
    eval("e_p = document.getElementById(\'id_fd_" + attribute_name + "\');");
    if(e_p){
        if(DisplayStyle == \'\'){
            setDispFont(attribute_name, e_p);
        }
    }
}

function checkAttributesForm(){
    if(document.attributes_form.objName.value){
        return true;
    }
    else{
        return false;
    }
}

function open_colorpicker(attribute_name){
    var wwidth = 340;
    var wheight = 150;
    var wleft = screen.availWidth - wwidth - 100;
    var wtop = screen.availHeight - wheight - 150;
    var wlayout = "location=no, menubar=no, resizable=yes, scrollbars=auto";
    wlayout += ", status=no, toolbar=no, left=" + wleft + ", top=" + wtop; 
    wlayout += ", width=" + wwidth + ", height=" + wheight;
    wndColorPicker = window.open("colorpicker.php?attribute_name=" + attribute_name + "',$session_url_param2,'", "wndColorPicker", wlayout);
    wndColorPicker.focus();
}

function open_fontselection(attribute_name){
    var wwidth = 370;
    var wheight = 250;
    var wleft = screen.availWidth - wwidth - 100;
    var wtop = screen.availHeight - wheight - 150;
    var wlayout = "location=no, menubar=no, resizable=yes, scrollbars=auto";
    wlayout += ", status=no, toolbar=no, left=" + wleft + ", top=" + wtop; 
    wlayout += ", width=" + wwidth + ", height=" + wheight;
    wndFontSelection = window.open("fontselection.php?attribute_name=" + attribute_name + "',$session_url_param2,'", "wndFontSelection", wlayout);
    wndFontSelection.focus();
}

function open_picselection(attribute_name){
    var wwidth = 750;
    var wheight = 375;
    var wleft = screen.availWidth - wwidth - 100;
    var wtop = screen.availHeight - wheight - 150;
    var wlayout = "location=no, menubar=no, resizable=yes, scrollbars=auto";
    wlayout += ", status=yes, toolbar=no, left=" + wleft + ", top=" + wtop; 
    wlayout += ", width=" + wwidth + ", height=" + wheight;
    wndPicSelection = window.open("picselection.php?attribute_name=" + attribute_name + "',$session_url_param2,'", "wndPicSelection", wlayout);
    wndPicSelection.focus();
}

function open_tagselection(attribute_name){
    var wwidth = 650;
    var wheight = 300;
    var wleft = screen.availWidth - wwidth - 100;
    var wtop = screen.availHeight - wheight - 150;
    var wlayout = "location=no, menubar=no, resizable=yes, scrollbars=auto";
    wlayout += ", status=yes, toolbar=no, left=" + wleft + ", top=" + wtop; 
    wlayout += ", width=" + wwidth + ", height=" + wheight;
    eval("tag_nr = document.attributes_form." + attribute_name + ".value");
    wndTagSelection = window.open("tagselection.php?attribute_name=" + attribute_name + "&tag_nr=" + tag_nr + "',$session_url_param2,'", "wndTagSelection", wlayout);
    wndTagSelection.focus();
}

function setDispColor(attribute_name, cd_p){
    var ActiveColor;
    
    if(!cd_p){
        eval("cd_p = document.getElementById(\'id_cd_" + attribute_name + "\');");
    }
    if(cd_p){
        eval("ActiveColor = getHexColorFromInt(document.attributes_form." + attribute_name + ".value);");
        cd_p.style.backgroundColor = \'#\' + ActiveColor;
        cd_p.style.color = \'#\' + getComplementaryColorFromHex(ActiveColor);
        cd_p.innerHTML = \'&nbsp;#\' + ActiveColor + \'&nbsp;\';
    }
}

function setDispFont(attribute_name, fd_p){
    var FontFamily, FontSize, FontBold, FontItalic, FontUnderline, FontStrike;
    var AttributeValue, TmpString;
    var FontStyleArray = Array();
    
    if(!fd_p){
        eval("fd_p = document.getElementById(\'id_fd_" + attribute_name + "\');");
    }
    if(fd_p){
        AttributeValue = String(document.attributes_form[attribute_name].value);
        FontStyleArray = AttributeValue.split(\';\');
        
        FontFamily = FontStyleArray[0];
        
        if(!isNaN(FontStyleArray[1]) && FontStyleArray[1] > 0){
            FontSize = FontStyleArray[1];
        }
        else{
            FontSize = 0;
        }
        
        TmpString = String(FontStyleArray[2]);
        if(TmpString.toLowerCase() == \'true\'){
            FontBold = true;
        }
        else{
            FontBold = false;
        }
        
        TmpString = String(FontStyleArray[3]);
        if(TmpString.toLowerCase() == \'true\'){
            FontItalic = true;
        }
        else{
            FontItalic = false;
        }
        
        TmpString = String(FontStyleArray[4]);
        if(TmpString.toLowerCase() == \'true\'){
            FontUnderline = true;
        }
        else{
            FontUnderline = false;
        }
        
        TmpString = String(FontStyleArray[5]);
        if(TmpString.toLowerCase() == \'true\'){
            FontStrike = true;
        }
        else{
            FontStrike = false;
        }
        
        // Font-Family und -Styles darstellen
        fd_p.style.fontFamily = FontFamily + \', Arial\';
        
        //if(FontSize){
        //    fd_p.style.fontSize = FontSize + \'pt\';
        //}
        
        if(FontBold){
            fd_p.style.fontWeight = \'bold\';
        }
        else{
            fd_p.style.fontWeight = \'normal\';
        }
        
        if(FontItalic){
            fd_p.style.fontStyle = \'italic\';
        }
        else{
            fd_p.style.fontStyle = \'normal\';
        }
        
        if(FontUnderline){
            fd_p.style.textDecoration = \'underline\';
        }
        if(FontStrike){
            fd_p.style.textDecoration = \'line-through\';
        }
        if(!FontUnderline && !FontStrike){
            fd_p.style.textDecoration = \'none \';
        }
        
        fd_p.innerHTML = \'&nbsp;\' + FontFamily + \'&nbsp;\' + FontSize + \'&nbsp;\';
    }
}

function setAttributeInstanceFromInput(attribute_name){
    var doa_p, do_p;
    var prevObjName = objName;
    
    if(parent.workspace.dd && parent.workspace.dd.elements[prevObjName]){
        do_p = parent.workspace.dd.elements[prevObjName];
    }
    
    if(do_p && do_p.attributes && document.attributes_form){
        doa_p = do_p.attributes[attribute_name];
        doa_p.value = document.attributes_form[attribute_name].value;
    }
}

//-->
</script>';
/* }}} */

echo '
</body>
</html>';

/* {{{ PHP-Funktion get_attribute_properties() */
function get_attribute_properties($attribute, &$isDDObjProperty, &$InputSize, &$InputMaxlength){
    if(strlen(trim($attribute['DDObjProperty']))){
        $isDDObjProperty = true;
    }
    else{
        $isDDObjProperty = false;
    }
    if(isset($attribute['InputSize']) && is_numeric($attribute['InputSize'])){
        $InputSize = $attribute['InputSize'];
    }
    else{
        $InputSize = 5;
    }
    if(isset($attribute['InputMaxlength']) && is_numeric($attribute['InputMaxlength'])){
        $InputMaxlength = $attribute['InputMaxlength'];
    }
    else{
        $InputMaxlength = 0;
    }
}
/* }}} */

?>
