<?php

/**********************
*  Andy Geiss 2008    *
*  Tabulatorweite: 4  *
**********************/

error_reporting(E_ALL);

ob_start();
require('functions.inc');
include('texts.inc');
ob_end_clean();

if(!empty($_GET['attribute_name'])){
    $attribute_name = $_GET['attribute_name'];
}
else{
    $attribute_name = '';
}

echo '
<!-- Andy Geiss 2008 -->
<html>

<head>
<meta http-equiv="expires" content="0">
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta http-equiv="imagetoolbar" content="no">
<title>',lang_text('colorpicker'),'</title>
<link rel="stylesheet" type="text/css" href="flowchartedit.css">
<script type="text/javascript" src="functions.js"></script>

<style type="text/css">
<!--
input, button{
    font-size: 12px;
}
td{
    font-size: 12px;
}
.td_color{
    width: 25px;
    height: 25px;
}
.td_colordisp{
    width: 120px;
    height: 50px;
    border-style: solid;
    border-color: #808080;
    border-width: 1px;
    font-family: Courier;
    font-size: 20px;
    font-weight: bold;
}
.shade_input{
    width: 35px;
    text-align: center;
    background-color: #ffffff;
}
//-->
</style>

<script language="JavaScript">
<!--
self.focus();

function key_down_event(event){
    var keyCode;
    if(!event){
        event = window.event;
    }
    if(event.which){
        keyCode = event.which;
    }
    else{
        if(event.keyCode){
            keyCode = event.keyCode;
        }
    }
    //alert("Taste mit Dezimalwert " + keyCode + " gedrckt");
    
    // Esc
    if(keyCode == 27){
        window.close();
    }
    
    // Return
    if(keyCode == 13){
        OK();
    }
}
document.onkeydown = key_down_event;

var ColorTableArray = new Array("000000", "333333", "666666", "999999", "cccccc", "ffffff",  // Graufstufen Schwarz - Wei
                                "550000", "555500", "000055", "805500", "005500", "550055",  // Dunkelstufen Rot, Gelb, Blau, Orange, Grn, Lila
                                "aa0000", "aaaa00", "0000aa", "aa8000", "00aa00", "aa00aa",  // Mittelstufen Rot, Gelb, Blau, Orange, Grn, Lila
                                "ff0000", "ffff00", "0000ff", "ffaa00", "00ff00", "ff00ff",  // Vollstufen Rot, Gelb, Blau, Orange, Grn, Lila
                                "ff5555", "ffff55", "5555ff", "ffaa55", "55ff55", "ff55ff"); // Hellstufen Rot, Gelb, Blau, Orange, Grn, Lila
                                
var ad_p = opener.document;
var ActiveColor = \'\';
if(ad_p.attributes_form.',$attribute_name,'){
    ActiveColor = getHexColorFromInt(ad_p.attributes_form.',$attribute_name,'.value);
}

function showColorTable(){
    var ColorsPerRow = 6;
    
    document.writeln(\'<table border="0" cellpadding="0" cellspacing="1">\');
    document.writeln(\'<tr>\');
    for(var i = 0; i < ColorTableArray.length; i++){
        if(i && i % ColorsPerRow == 0){
            document.writeln(\'<\/tr><tr>\');
        }
        document.write(\'<td class="td_color" style="background-color: #\' + ColorTableArray[i] + \';"\');
        document.writeln(\' onclick="setDispColorByIndex(\' + i + \'); setRgbInputs();"><\/td>\');
    }
    document.writeln(\'<\/tr>\');
    document.writeln(\'<\/table>\');
}

function setDispColorByIndex(ColorTableArrayIndex){
    setDispColor(ColorTableArray[ColorTableArrayIndex]);
}

function setDispColor(HexColor){
    var cd_p = document.getElementById(\'id_td_colordisp\');
    ActiveColor = HexColor;
    cd_p.style.backgroundColor = \'#\' + ActiveColor;
    cd_p.style.color = \'#\' + getComplementaryColorFromHex(HexColor);
    cd_p.innerHTML = \'#\' + HexColor;
}

function OK(){
    var id_attribute_name;
    
    if(ad_p.attributes_form.',$attribute_name,'){
        ad_p.attributes_form.',$attribute_name,'.value = getIntColorFromHex(ActiveColor);
        opener.setAttributeInstanceFromInput("',$attribute_name,'");
    }
    opener.setDispColor("',$attribute_name,'");
    
    id_attribute_name = ad_p.getElementById("id_',$attribute_name,'");
    if(id_attribute_name){
        id_attribute_name.innerHTML = ad_p.attributes_form.',$attribute_name,'.value;
    }
    
    window.close();
}

function shade_input(shade_letter){
    var shade_letter_no = -1;
    
    switch(shade_letter){
        case \'r\':
            shade_letter_no = 0;
        break;
        case \'g\':
            shade_letter_no = 1;
        break;
        case \'b\':
            shade_letter_no = 2;
        break;
    }
    
    document.write(\'<input class="shade_input" type="text" name="shade_\' + shade_letter);
    document.writeln(\'" size="3" maxlength="3" onkeyup="shade_input_keyup(\' + shade_letter_no + \')">\');
}

function shade_input_keyup(shade_letter_no){
    var shade_letter = \'\';
    var shade_input;
    
    switch(shade_letter_no){
        case 0:
            shade_letter = \'r\';
        break;
        case 1:
            shade_letter = \'g\';
        break;
        case 2:
            shade_letter = \'b\';
        break;
    }
    
    eval(\'shade_input = document.rgb_form.shade_\' + shade_letter);
    
    if(trim(shade_input.value) != \'\' && !isNaN(shade_input.value) 
    && shade_input.value <= 255 && shade_input.value >= 0){
        setActiveColorFromRgbInputs();
        setDispColor(ActiveColor);
        shade_input.style.backgroundColor = \'#ffffff\';
    }
    else{
        shade_input.style.backgroundColor = \'#ff4020\';
    }
}

function setActiveColorFromRgbInputs(){
    ActiveColor = getHexShadeFromInt(document.rgb_form.shade_r.value);
    ActiveColor += getHexShadeFromInt(document.rgb_form.shade_g.value);
    ActiveColor += getHexShadeFromInt(document.rgb_form.shade_b.value);
}

function setRgbInputs(){
    var HexDigits = 6;
    var HexColor = ActiveColor;
    
    HexColor = String(HexColor);
    
    if(HexColor.substr(0, 1) == \'#\'){
        HexColor = HexColor.substr(1, HexDigits);
    }
    else{
        HexColor = HexColor.substr(0, HexDigits);
    }
    
    document.rgb_form.shade_r.value = getIntShadeFromHex(HexColor.substr(0, 2));
    document.rgb_form.shade_g.value = getIntShadeFromHex(HexColor.substr(2, 2));
    document.rgb_form.shade_b.value = getIntShadeFromHex(HexColor.substr(4, 2));
}

//-->
</script>
</head>

<body>

<div align="center">

<table border="0" cellpadding="8" cellspacing="1">
<tr>
    <td valign="top">
    
    <script language="JavaScript">
    <!--
    showColorTable();
    //-->
    </script>
    
    </td><td valign="top">
    
    <table border="0" cellpadding="0" cellspacing="1">
    <tr>
        <td class="td_colordisp" id="id_td_colordisp" align="center">&nbsp;</td>
        <script language="JavaScript">
        <!--
        setDispColor(ActiveColor);
        //-->
        </script>
    </tr><tr>
        <td style="height: 50px;" align="center">
        
        <table border="0" cellpadding="0" cellspacing="1">
        <tr>
            <td align="center">R</td>
            <td align="center">G</td>
            <td align="center">B</td>
        </tr><tr>
            <form name="rgb_form">
            <td align="center">
            <script language="JavaScript">
            <!--
            shade_input(\'r\');
            //-->
            </script>
            </td><td align="center">
            <script language="JavaScript">
            <!--
            shade_input(\'g\');
            //-->
            </script>
            </td><td align="center">
            <script language="JavaScript">
            <!--
            shade_input(\'b\');
            setRgbInputs();
            //-->
            </script>
            </td>
            </form>
        </tr>
        </table>
        
        </td>
    </tr><tr>
        <td style="height: 25px;" align="center">
        <input style="width: 110px;" type="button" value="OK" onclick="OK();">
        </td>
    </tr>
    </table>
    
    </td>
</tr>
</table>

</div>

</body>
</html>';

?>
