<?php

/**********************
*  Andy Geiss 2008    *
*  Tabulatorweite: 4  *
**********************/

error_reporting(E_ALL);
ob_start();
require('functions.inc');
include('texts.inc');
ob_end_clean();

if(!empty($_GET['attribute_name'])){
    $attribute_name = $_GET['attribute_name'];
}
else{
    $attribute_name = '';
}

echo '
<!-- Andy Geiss 2008 -->
<html>

<head>
<meta http-equiv="expires" content="0">
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta http-equiv="imagetoolbar" content="no">
<title>',lang_text('fontselection'),'</title>
<link rel="stylesheet" type="text/css" href="flowchartedit.css">
<script type="text/javascript" src="functions.js"></script>

<style type="text/css">
<!--
input, button{
    font-size: 12px;
}
td{
    font-size: 12px;
}
.div_fontdisp{
    height: 60px;
    width: 350px;
    overflow: hidden;
    border-style: solid;
    border-color: #808080;
    border-width: 1px;
}
.td_fontdisp{
    height: 60px;
    background-color: #ffffff;
    font-family: Courier;
    font-size: 20px;
    font-weight: bold;
}
.fontfamily_width{
    width: 130px;
}
.fontsize_width{
    width: 45px;
}
//-->
</style>

<script language="JavaScript">
<!--
self.focus();

function key_down_event(event){
    var keyCode;
    if(!event){
        event = window.event;
    }
    if(event.which){
        keyCode = event.which;
    }
    else{
        if(event.keyCode){
            keyCode = event.keyCode;
        }
    }
    //alert("Taste mit Dezimalwert " + keyCode + " gedrckt");
    
    // Esc
    if(keyCode == 27){
        window.close();
    }
    
    // Return
    if(keyCode == 13){
        OK();
    }
}
document.onkeydown = key_down_event;

function setDispFont(ChangedValue){
    var ff_p = document.font_form;
    var fd_p = document.getElementById(\'id_td_fontdisp\');
    
    if(!ChangedValue){
        ChangedValue = \'\';
    }
    
    switch(ChangedValue){
        case \'FontFamily\':
            ActiveFont.FontFamily = ff_p.fontfamily.value;
            if(trim(ff_p.fontfamily.value) != \'\'){
                ff_p.fontfamily.style.backgroundColor = \'#ffffff\';
                setSelectFamilyIfExist();
            }
            else{
                ff_p.fontfamily.style.backgroundColor = \'#ff4020\';
            }
        break;
        case \'FontSize\':
            if(!isNaN(ff_p.fontsize.value) && ff_p.fontsize.value > 0){
                ActiveFont.FontSize = parseInt(ff_p.fontsize.value);
                ff_p.fontsize.style.backgroundColor = \'#ffffff\';
                setSelectSizeIfExist();
            }
            else{
                ActiveFont.FontSize = 0;
                ff_p.fontsize.style.backgroundColor = \'#ff4020\';
            }
        break;
        case \'FontBold\':
            if(ff_p.fontweight.checked){
                ActiveFont.FontBold = true;
            }
            else{
                ActiveFont.FontBold = false;
            }
        break;
        case \'FontItalic\':
            if(ff_p.fontstyle.checked){
                ActiveFont.FontItalic = true;
            }
            else{
                ActiveFont.FontItalic = false;
            }
        break;
        case \'FontNormal\':
        case \'FontUnderline\':
        case \'FontStrike\':
            if(ff_p.textdecoration[2].checked){
                ActiveFont.FontUnderline = false;
                ActiveFont.FontStrike = true;
            }
            else{
                if(ff_p.textdecoration[1].checked){
                    ActiveFont.FontUnderline = true;
                    ActiveFont.FontStrike = false;
                }
                else{
                    ActiveFont.FontUnderline = false;
                    ActiveFont.FontStrike = false;
                }
            }
        break;
    }
    
    ActiveFont.setStyle(fd_p);
}

function setDispFontFromFamilySelect(){
    document.font_form.fontfamily.value = document.font_form.fontfamily_select.value;
    setDispFont(\'FontFamily\');
}

function setDispFontFromSizeSelect(){
    document.font_form.fontsize.value = document.font_form.fontsize_select.value;
    setDispFont(\'FontSize\');
}

function setSelectFamilyIfExist(){
    var ff_p = document.font_form;
    ff_p.fontfamily_select.selectedIndex = -1;
    for(var i = 0; i < ff_p.fontfamily_select.options.length; i++){
        if(ff_p.fontfamily_select.options[i].value == ff_p.fontfamily.value){
            ff_p.fontfamily_select.selectedIndex = i;
        }
    }
}

function setSelectSizeIfExist(){
    var ff_p = document.font_form;
    ff_p.fontsize_select.selectedIndex = -1;
    for(var i = 0; i < ff_p.fontsize_select.options.length; i++){
        if(ff_p.fontsize_select.options[i].value == ff_p.fontsize.value){
            ff_p.fontsize_select.selectedIndex = i;
        }
    }
}

function OK(){
    var id_attribute_name;
    
    if(ad_p.attributes_form.',$attribute_name,'){
        ad_p.attributes_form.',$attribute_name,'.value = ActiveFont.getStringFromFont();
        opener.setAttributeInstanceFromInput("',$attribute_name,'");
    }
    opener.setDispFont("',$attribute_name,'");
    
    id_attribute_name = ad_p.getElementById("id_',$attribute_name,'");
    if(id_attribute_name){
        id_attribute_name.innerHTML = ad_p.attributes_form.',$attribute_name,'.value;
    }
    
    window.close();
}

//-->
</script>
</head>

<body onunload="ActiveFont = null;">

<table border="0" cellpadding="3" cellspacing="5" width="100%">
<tr>
<form name="font_form">
    <td align="center">
    <select size="5" class="fontfamily_width" name="fontfamily_select" 
        onclick="setDispFontFromFamilySelect()" onchange="setDispFontFromFamilySelect()">';
    $family_array = array('Arial', 'Comic Sans MS', 'Courier New', 'Times New Roman', 'Verdana');
    foreach($family_array as $fontfamily){
        echo '
        <option value="',$fontfamily,'">',$fontfamily,'</option>';
    }
    echo '
    </select>
    </td><td align="center">
    <select size="5" class="fontsize_width" name="fontsize_select" 
        onclick="setDispFontFromSizeSelect()" onchange="setDispFontFromSizeSelect()">';
    $size_array = array(6, 7, 8, 9, 10, 11, 12, 13, 14, 16, 18, 20, 22, 24, 26, 28, 32, 36, 42, 48, 60, 72);
    foreach($size_array as $fontsize){
        echo '
        <option value="',$fontsize,'">',$fontsize,'</option>';
    }
    echo '
    </select>
    </td><td rowspan="2" align="center">
    
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td align="center">
        <input type="checkbox" name="fontweight" value="FontBold"
            onclick="setDispFont(\'FontBold\')">
        </td>
        <td>',lang_text('bold'),'</td>
    </tr><tr>
        <td align="center">
        <input type="checkbox" name="fontstyle" value="FontItalic"
            onclick="setDispFont(\'FontItalic\')">
        </td>
        <td>',lang_text('italic'),'</td>
    </tr><tr>
        <td colspan="2" style="font-size: 6px;">&nbsp;</td>
    </tr><tr>
        <td align="center"><input type="radio" name="textdecoration" value="FontNormal"
            onclick="setDispFont(\'FontNormal\')"></td>
        <td>',lang_text('normal'),'</td>
    </tr><tr>
        <td align="center"><input type="radio" name="textdecoration" value="FontUnderline"
            onclick="setDispFont(\'FontUnderline\')"></td>
        <td>',lang_text('underlined'),'</td>
    </tr><tr>
        <td align="center"><input type="radio" name="textdecoration" value="FontStrike"
            onclick="setDispFont(\'FontStrike\')"></td>
        <td>',lang_text('strikeout'),'</td>
    </tr>
    </table>
    
    </td>
</tr><tr>
    <td align="center">
    <input type="text" class="fontfamily_width" name="fontfamily" maxlength="255"
        onclick="setDispFont(\'FontFamily\')" onkeyup="setDispFont(\'FontFamily\')" 
        onblur="setDispFont(\'FontFamily\')">
    </td><td align="center">
    <input type="text" class="fontsize_width" style="text-align: center;" 
        name="fontsize" maxlength="2" onclick="setDispFont(\'FontSize\')" 
        onkeyup="setDispFont(\'FontSize\')" onblur="setDispFont(\'FontSize\')">
    </td>
</tr><tr>
    <td colspan="3" align="center">
    <div class="div_fontdisp">
    
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td class="td_fontdisp" id="id_td_fontdisp" align="center">&nbsp;</td>
    </tr>
    </table>
    
    </div>
    </td>
</tr><tr>
    <td colspan="3" align="center">
    <input style="width: 110px;" type="button" value="OK" onclick="OK();">
    </td>
</form>
</tr>
</table>

<script language="JavaScript">
<!--
var ad_p = opener.document;
var ActiveFont = new Font();
if(ad_p.attributes_form.',$attribute_name,'){
    ActiveFont.setFontFromString(ad_p.attributes_form.',$attribute_name,'.value);
    document.font_form.fontfamily.value = ActiveFont.FontFamily;
    setSelectFamilyIfExist();
    document.font_form.fontsize.value = ActiveFont.FontSize;
    setSelectSizeIfExist();
    if(ActiveFont.FontBold){
        document.font_form.fontweight.checked = true;
    }
    else{
        document.font_form.fontweight.checked = false;
    }
    if(ActiveFont.FontItalic){
        document.font_form.fontstyle.checked = true;
    }
    else{
        document.font_form.fontstyle.checked = false;
    }
    if(ActiveFont.FontStrike){
        document.font_form.textdecoration[2].checked = true;
    }
    else{
        if(ActiveFont.FontUnderline){
            document.font_form.textdecoration[1].checked = true;
        }
        else{
            document.font_form.textdecoration[0].checked = true;
        }
    }
}
setDispFont();
//-->
</script>

</body>
</html>';

?>
