<?php

/**********************
*  Andy Geiss 2007    *
*  Tabulatorweite: 4  *
**********************/

error_reporting(E_ALL);

$header_array = array();

ob_start();
require('functions.inc');
include('texts.inc');
include('headerattributes.inc');
ob_end_clean();

//print_r_formatted($_POST);

echo '
<!-- Andy Geiss 2007 - 2008 -->
<html>

<head>
<meta http-equiv="expires" content="0">
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta http-equiv="imagetoolbar" content="no">
<title>Flowchart Edit Header</title>
<link rel="stylesheet" type="text/css" href="flowchartedit.css">
<script type="text/javascript" src="functions.js"></script>

<script language="JavaScript">
<!--
self.focus();

function key_down_event(event){
    var keyCode;
    if(!event){
        event = window.event;
    }
    if(event.which){
        keyCode = event.which;
    }
    else{
        if(event.keyCode){
            keyCode = event.keyCode;
        }
    }
    //alert("Taste mit Dezimalwert " + keyCode + " gedrckt");
    
    // Esc
    if(keyCode == 27){
        window.close();
    }
}
document.onkeydown = key_down_event;';

// Submit-Werte in ini_header-Objekt bernehmen
if(isset($_POST['submit_action']) && $_POST['submit_action'] == 'set_header'){
    foreach($header_array as $header_section => $header_attribute_array){
        echo '
        hs_p = opener.ini_header.header_sections.',$header_section,';';
        foreach($header_attribute_array as $header_attribute_name => $header_attribute){
            if(isset($_POST[$header_attribute_name])){
                echo '
                hs_p.header_attributes.',$header_attribute_name,'.value = "',trim($_POST[$header_attribute_name]),'";';
            }
        }
    }
    echo '
    hs_p = null;
    window.close();';
}

echo '

function checkHeaderForm(){';
foreach($header_array as $header_section => $header_attribute_array){
    foreach($header_attribute_array as $header_attribute_name => $header_attribute){
        if(isset($header_attribute['Mandatory']) && is_bool($header_attribute['Mandatory'])){
            $Mandatory = $header_attribute['Mandatory'];
        }
        else{
            $Mandatory = true;
        }
        if(isset($header_attribute['IsNumeric']) && is_bool($header_attribute['IsNumeric'])){
            $IsNumeric = $header_attribute['IsNumeric'];
        }
        else{
            $IsNumeric = true;
        }
        echo '
        document.header_form.',$header_attribute_name,'.value = trim(document.header_form.',$header_attribute_name,'.value);';
        if($Mandatory){
            echo '
            if(document.header_form.',$header_attribute_name,'.value.length < 1){
                document.header_form.',$header_attribute_name,'.focus();
                return false;
            }';
        }
        if($IsNumeric){
            echo '
            if(isNaN(document.header_form.',$header_attribute_name,'.value)){
                document.header_form.',$header_attribute_name,'.focus();
                return false;
            }';
        }
    }
}
    echo '
    return true;
}

//-->
</script>
</head>

<body>

<div align="center">
<!-- Tabelle fr Eingabe -->
<table style="border-collapse: collapse;" border="0" cellpadding="1" cellspacing="0" width="100%">
<tr>
    <form name="header_form" action="',$_SERVER["SCRIPT_NAME"],'" method="POST" 
        onsubmit="return checkHeaderForm();">';
    $i = 0;
    foreach($header_array as $header_section => $header_attribute_array){
        if($i){
            echo '
        </tr><tr>';
        }
        echo '
        <td class="td_border" colspan="2" align="center">
        <span style="font-weight: bold;">',$header_section,'</span>
        </td>';
        $j = 0;
        foreach($header_attribute_array as $header_attribute_name => $header_attribute){
            if(isset($header_attribute['InputSize']) && is_numeric($header_attribute['InputSize'])){
                $InputSize = trim($header_attribute['InputSize']);
            }
            else{
                $InputSize = 5;
            }
            if(isset($header_attribute['InputMaxlength']) && is_numeric($header_attribute['InputMaxlength'])){
                $InputMaxlength = trim($header_attribute['InputMaxlength']);
            }
            else{
                $InputMaxlength = 0;
            }
            
            echo '
        </tr><tr>
            <td class="td_border" style="text-align: right;"';
            if(!$i && !$j){
                echo ' width="45%"';
            }
            echo '>&nbsp;&nbsp;',$header_attribute_name,':&nbsp;</td>
            <td class="td_border">';
            
            // Wenn nderbar, Input-Tag ...
            if($InputMaxlength > 0){
                echo '
                <input type="text" name="',$header_attribute_name,'" 
                    size="',$InputSize,'" maxlength="',$InputMaxlength,'">';
            }
            // ... ansonsten nur anzeigen
            else{
                echo '
                <input type="hidden" name="',$header_attribute_name,'">'
                ,'&nbsp;&nbsp;<span id="id_',$header_attribute_name,'"></span>&nbsp;&nbsp;';
            }
            echo '
            </td>
            <script language="JavaScript">
            <!--';
            // Werte holen und Cursor in erstes Eingabefeld setzen
            if(!$i && !$j){
                echo '
                if(document.header_form.',$header_attribute_name,'.type != "hidden"){
                    document.header_form.',$header_attribute_name,'.focus();
                }';
            }
            echo '
            hs_p = opener.ini_header.header_sections.',$header_section,';
            document.header_form.',$header_attribute_name,'.value = hs_p.header_attributes.',$header_attribute_name,'.value;
            if(document.header_form.',$header_attribute_name,'.type == "hidden"){
                document.getElementById("id_',$header_attribute_name,'").innerHTML = hs_p.header_attributes.',$header_attribute_name,'.value;
            }
            //-->
            </script>';
            $j++;
        }
        $i++;
    }
    echo '
</tr><tr>
    <td class="td_border" colspan="2" align="center">
    <input type="hidden" name="submit_action" value="set_header">
    ',$session_hidden_input,'
    <input class="button_width" type="submit" value="OK">&nbsp;&nbsp;&nbsp;',
    '<input class="button_width" type="button" value="',lang_text('cancel'),'" onclick="window.close();">
    </td>
    </form>
</tr>
</table>
</div>

</body>
</html>';

?>
