<?php

/***************************
*  Andy Geiss 2007 - 2010  *
*  Tabulatorweite: 4       *
***************************/

error_reporting(E_ALL);

$attribute_array = array();

//require('functions.inc');
include('attributes.inc');

/* {{{ PHP-Funktion is_tag_types_limited() - Prfen, ob das Attribut nur fr bestimmte TagTypen relevant ist */
function is_tag_types_limited($attribute_name){
    global $tag_types_limited_array;
    
    if(isset($tag_types_limited_array[$attribute_name]) 
    && is_array($tag_types_limited_array[$attribute_name])
    && count($tag_types_limited_array[$attribute_name])){
        $tag_types_limited = true;
    }
    else{
        $tag_types_limited = false;
    }
    
    return $tag_types_limited;
}
/* }}} */

/* {{{ PHP-Funktion is_tag_types_limited_value() - Pruefen, ob Tag-Typ im Attribut vorhanden */
function is_tag_types_limited_value($attribute_name, $tag_type_search){
    global $tag_types_limited_array;
    
    foreach($tag_types_limited_array[$attribute_name] as $relevant_tag_type){
		if($relevant_tag_type === $tag_type_search){
			$tag_types_limited_value = true;
			break;
		}
		else{
			$tag_types_limited_value = false;
		}
    }
	return 	$tag_types_limited_value;
}
/* }}} */

$tagtype_array=array(0,1,2,3,5,8,9,11,20,21);
foreach($tagtype_array as $tagtyp){
    // Attribut-Relevanz
	$i=0;
	echo "----------<br>";
    foreach($attribute_array as $attribute_name => $attribute){
		$i++;
		echo "TagTyp &lt;$tagtyp&gt; lfd. Nr &lt;$i&gt;<br>";
        if(isset($attribute['DefaultValue']) && strlen(trim($attribute['DefaultValue']))){
            $DefaultValue = trim($attribute['DefaultValue']);
        }
        else{
            $DefaultValue = '';
        }
		if(is_array($attribute))
		{
			foreach($attribute as $innerattribute){
				echo "Array &lt;$attribute_name&gt; Wert <b>$innerattribute</b><br>";
			}
		}
		else
		{
			echo "Feld &lt;$attribute_name&gt; Wert <b>$attribute</b><br>";
		}
        $tag_types_limited = is_tag_types_limited($attribute_name);
		$val = $tag_types_limited==false?0:1;
		echo "TagTyp_Limited &lt;$val&gt;<br>";
		$tag_types_limited_value = false;
		if($tag_types_limited)
		{
			//ist Attribut fuer diesen TagTyp relevant
			$tag_types_limited_value = is_tag_types_limited_value($attribute_name, $tagtyp);
		}
		$val = $tag_types_limited_value==false?0:1;
		echo "TagTyp_Limited_value &lt;$val&gt;<br>";
//		foreach($attribute as $attribute_property => $property_value){
//			echo $attribute_name.$attribute_property.' = '.$property_value;
//		}
    }
}

?>