<?php

/***************************
*  Andy Geiss 2007 - 2010  *
*  Tabulatorweite: 4       *
***************************/

error_reporting(E_ALL);

$item_width_toolbar = 200;  // Standardwert, wenn nicht in items.inc gesetzt
$item_array = array();
$attribute_array = array();

ob_start();
require('functions.inc');
include('texts.inc');
include('items.inc');
include('attributes.inc');
ob_end_clean();

echo '
<!-- Andy Geiss 2007 - 2008 -->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--DOCTYPE html -->

<html>
<head>
<meta http-equiv="expires" content="0">
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta http-equiv="imagetoolbar" content="no">
<title>Flowchart Edit</title>
<link rel="stylesheet" type="text/css" href="flowchartedit.css">
<style type="text/css">
td.version{
    color: #606060;
    font-size: 9px;
    font-weight: normal;
    padding-top: 30px;
}
</style>

<script type="text/javascript" src="functions.js"></script>
<script type="text/javascript">
<!--
//alert("',$_SERVER["SCRIPT_NAME"],'");
function key_down_event(event){
    var keyCode;
    if(!event){
        event = window.event;
    }
    if(event.which){
        keyCode = event.which;
    }
    else{
        if(event.keyCode){
            keyCode = event.keyCode;
        }
    }
    //alert("Taste mit Dezimalwert " + keyCode + " gedrckt");
}
document.onkeydown = key_down_event;

//-->
</script>

</head>

<body>
<script type="text/javascript" src="wz_dragdrop.js"></script>

<div align="center">
<table border="0" cellpadding="0" cellspacing="4">
<tr>';
$i = 0;
foreach($item_array as $item_name => $item){
    // $item_height_toolbar im Verhltnis zu $item_width_toolbar berechnen
    if(isset($item['width']) && is_numeric($item['width'])
    && isset($item['height']) && is_numeric($item['height'])){
        $item_height = (int) $item['height'];
        $item_width = (int) $item['width'];
        if($item_height * $item_width > 0){
            $item_height_toolbar = (int) ($item_width_toolbar / $item_width * $item_height);
        }
    }
    
    if($i){
        echo '
        </tr><tr>';
    }
    if(is_file('tb_'.$item['src'])){
        $tmp_src = 'tb_'.$item['src'];
    }
    else{
        $tmp_src = $item['src'];
    }
    echo '
    <td>
    <img name="',$item_name,'" src="',$tmp_src,'" width="',$item_width_toolbar,'"';
    if(isset($item_height_toolbar)){
        echo ' height="',$item_height_toolbar,'"';
    }
    $tmp_title = lang_text('tag_type').' '.extractTagType($item_name).': '.lang_text($item_name);
    echo ' alt="',$tmp_title,'" title="',$tmp_title,'">
    </td>';
    $i++;
}
echo '
</tr><tr>
    <td class="version">v&nbsp;',$g_version,'</td>
</tr>
</table>
</div>

<script type="text/javascript">
<!--
SET_DHTML(CURSOR_HAND, ';
$i = 0;
foreach($item_array as $item_name => $item){
    if($i){
        echo ', ';
    }
    echo '"',$item_name,'"+VERTICAL+HORIZONTAL';
    $i++;
}
echo ');

for(var i = 0; i < dd.elements.length; i++){
    dd.elements[i].unsetFocus();
}';

js_attribute_class_definition();

echo '

function my_PickFunc(){         // berschreiben der Funktion in wz_dragdrop.js
    if(parent.workspace && parent.workspace.dd){
        parent.workspace.dd.elements[dd.obj.name].copy();
        var copieslength = parent.workspace.dd.elements[dd.obj.name].copies.length;
        var d_p = parent.workspace.dd.elements[dd.obj.name].copies[copieslength - 1];
        var TagTyp = extractTagType(d_p.',$attribute_array['TagTyp']['DDObjProperty'],');
        var evt = \'CREATE\';
        d_p.unsetFocus();
        d_p.jgCreate(TagTyp);
        d_p.moveTo(10, 27);
        d_p.maximizeZ();
        d_p.relevant = true;   // Als relevant kennzeichnen fr Speichern in INI';
        js_create_attributes_object_array('d_p');
        js_set_attributes_object_values('d_p', false, true);
    echo '
        d_p.setUniqueZ();
        d_p.drawTagImage("',$img_path,'");
        d_p.jgDraw();
    }
}
//-->
</script>

</body>
</html>';

?>
