<?php

// vim: fdm=marker

/**********************
*  Andy Geiss 2009    *
*  Tabulatorweite: 4  *
**********************/


if(!$svadmin->connect()){
    echo '<br />',get_sv_socket_errorstr_from_errno($svadmin->lang_id, $svadmin->get_socket_errno(), $svadmin->get_socket_last_error());
    exit;
}

/* {{{ Variablen initialisieren/belegen */
foreach($g_user_config_field_array as $config_field){
    switch($config_field){
    case 'EXPORT_DATEFORMAT':
    case 'EXPORT_TIMEFORMAT':
        $svadmin->init_config_field($config_field, '');
        break;
    case 'EXPORT_DECSEP':
        $svadmin->init_config_field($config_field, 'COMMA');
        break;
    case 'FLOWCHART_DIR':
    case 'FLOWCHART_EDIT_DIR':
        $svadmin->init_config_field($config_field, 'empty');
        break;
    case 'STARTUP_PAGE':
        $svadmin->init_config_field($config_field, 'STANDARD');
        break;
    case 'TIME_SOURCE':
        $svadmin->init_config_field($config_field, 'SERVER');
        break;
    default:
        $svadmin->init_config_field($config_field);
        break;
    }
}

$user = $svadmin->get_user();
$host = $svadmin->get_host();
$port = $svadmin->get_port();
/* }}} */

/* {{{ Submit verarbeiten */
if(!empty($_POST['submit_action'])){
    switch($_POST['submit_action']){
    case 'save':
        if(!$svadmin->save_user_properties()){
            $save_msg = $text_array[$svadmin->lang_id]['user_properties_write_error'].'!';
        }
        break;
    }
}
/* }}} */

include('admin_top.inc.php');

echo '
<script type="text/javascript">
<!--
// Zugangsdaten in die Titelleiste schreiben
top.document.title = "Scalarvis@Web Admin - ',$text_array[$svadmin->lang_id]['user'],': ',$svadmin->get_user(),
    ' - ',$text_array[$svadmin->lang_id]['host'],': ',$svadmin->get_host(),' [',$svadmin->sysinfo["bezeichnung"],'] - ',
    $text_array[$svadmin->lang_id]['port'],': ',$svadmin->get_port(),'";';

if(!empty($save_msg)){
    echo '
    alert("',$save_msg,'");';
}

/* {{{ JavaScript-Funktion AdminLogout() - Ausloggen */
echo '
function AdminLogout(){
    top.location.href = "index.php?content=logout&session_name=',$svweb_session_name,'";
}';
/* }}} */

echo '
//-->
</script>
</head>

<body style="margin-top: 20px; margin-bottom: 20px;">
<div align="center">';
//print_r_formatted($_POST);
//print_r_formatted($svadmin->USER_CONFIG);
/* {{{ Admin-Formular */
echo '
<form name="adminform" action="',$g_actionfile,'" method="POST">
<table border="0" style="border-style: inset; border-width: 4px;" cellspacing="0" cellpadding="5" width="550" summary="Admin Form">
<tr>
    <td colspan="2" style="font-size: 16px; font-weight: bold; color: #ff0000;" align="center">A&nbsp;d&nbsp;m&nbsp;i&nbsp;n</td>
</tr><tr>
    <td class="table_separation" align="right">',$text_array[$svadmin->lang_id]['user'],':</td>
    <td class="table_separation" style="font-weight: bold;">',$user,'</td>
</tr><tr>
    <td align="right">',$text_array[$svadmin->lang_id]['host'],':</td>
    <td style="font-weight: bold;">',$host,'</td>
</tr><tr>
    <td align="right">',$text_array[$svadmin->lang_id]['port'],':</td>
    <td style="font-weight: bold;">',$port,'</td>
</tr><tr>
    <td class="table_separation" align="right">',$text_array[$svadmin->lang_id]['startup_page'],':</td>
    <td class="table_separation">
    <select class="admin" name="STARTUP_PAGE">
    ',$svadmin->config_select_option('STARTUP_PAGE', 'STANDARD'),'
    ',$svadmin->config_select_option('STARTUP_PAGE', 'FLOWCHART'),'
    ',$svadmin->config_select_option('STARTUP_PAGE', 'SPLASH'),'
    </select>
    </td>
</tr><tr>
    <td align="right">',$text_array[$svadmin->lang_id]['time_base'],':</td>
    <td>
    <select class="admin" name="TIME_SOURCE">
    ',$svadmin->config_select_option('TIME_SOURCE', 'SERVER', 'PHP'),'
    ',$svadmin->config_select_option('TIME_SOURCE', 'SCALARVIS'),'
    </select>
    </td>
</tr><tr>
    <td class="table_separation" align="right">',$text_array[$svadmin->lang_id]['allow_diagram_universal'],':</td>
    <td class="table_separation">',$svadmin->config_checkbox('NAV_UNIV'),'</td>
</tr><tr>
    <td align="right">',$text_array[$svadmin->lang_id]['allow_diagram_single'],':</td>
    <td>',$svadmin->config_checkbox('NAV_SGL'),'</td>
</tr><tr>
    <td align="right">',$text_array[$svadmin->lang_id]['allow_diagram_detail'],':</td>
    <td>',$svadmin->config_checkbox('NAV_DETAIL'),'</td>
</tr><tr>
    <td align="right">',$text_array[$svadmin->lang_id]['allow_diagram_trend'],':</td>
    <td>',$svadmin->config_checkbox('NAV_TREND'),'</td>
</tr><tr>
    <td align="right">',$text_array[$svadmin->lang_id]['hide_negative_scales'],':</td>
    <td>',$svadmin->config_checkbox('HIDE_NEG_AXIS'),'</td>
</tr><tr>
    <td class="table_separation" align="right">',$text_array[$svadmin->lang_id]['allow_flowchart'],':</td>
    <td class="table_separation">',$svadmin->config_checkbox('NAV_FLOWCHART'),'</td>
</tr><tr>
    <td align="right">',$text_array[$svadmin->lang_id]['allow_flowchart_edit'],':</td>
    <td>',$svadmin->config_checkbox('NAV_FLOWCHART_EDIT'),'</td>
</tr><tr>
    <td align="right">',$text_array[$svadmin->lang_id]['working_directory_flowchart'],':</td>
    <td>',$svadmin->config_input_text('FLOWCHART_DIR'),'</td>
</tr><tr>
    <td align="right">',$text_array[$svadmin->lang_id]['application_directory_flowchart_edit'],':</td>
    <td>',$svadmin->config_input_text('FLOWCHART_EDIT_DIR'),'</td>
</tr><tr>
    <td class="table_separation" align="right">',$text_array[$svadmin->lang_id]['allow_export'],':</td>
    <td class="table_separation">',$svadmin->config_checkbox('NAV_EXPORT'),'</td>
</tr><tr>
    <td align="right">',$text_array[$svadmin->lang_id]['export_date_format'],':</td>
    <td>',$svadmin->config_input_text('EXPORT_DATEFORMAT'),'</td>
</tr><tr>
    <td align="right">',$text_array[$svadmin->lang_id]['export_time_format'],':</td>
    <td>',$svadmin->config_input_text('EXPORT_TIMEFORMAT'),'</td>
</tr><tr>
    <td align="right">',$text_array[$svadmin->lang_id]['export_decimal_separator'],':</td>
    <td>
    <select class="admin" name="EXPORT_DECSEP">
    ',$svadmin->config_select_option('EXPORT_DECSEP', 'COMMA'),'
    ',$svadmin->config_select_option('EXPORT_DECSEP', 'POINT'),'
    </select>
    </td>
</tr><tr>
    <td class="table_separation" align="right">
    <input class="button_width" type="submit" value="',$text_array[$svadmin->lang_id]['save'],'" />
    </td><td class="table_separation">
    <input class="button_width" type="button" value="',$text_array[$svadmin->lang_id]['logout'],'" onclick="AdminLogout();" /> 
    </td>
</tr>
</table>
<input type="hidden" name="content" value="',$content,'" />
<input type="hidden" name="session_name" value="',$svweb_session_name,'" />
<input type="hidden" name="submit_action" value="save" />
</form>';
/* }}} */
echo '
</div>
</body>';

include('admin_bottom.inc.php');

