<?php

/**********************
*  Andy Geiss 2009    *
*  Tabulatorweite: 4  *
**********************/

// Startverhalten der Website
$STANDARD_CONFIG['STARTUP_ASK_FOR_SERVER'] = 1;     // 0 = Nur Username & Passwort; 1 = Username, Passwort, Host, Port

// HTML-Content der beim Login unter bzw ber der Eingabemaske angezeigt wird
$STANDARD_CONFIG['STARTUP_EXTRA_TOP'] = '<img src="images/login_logo.png" alt="Login">';
$STANDARD_CONFIG['STARTUP_EXTRA_BOTTOM'] = '';

// Startpage nach dem Login (STANDARD, FLOWCHART, SPLASH)
$STANDARD_CONFIG['STARTUP_PAGE'] = 'STANDARD';        // Userabhngig

// Logo festlegen
$STANDARD_CONFIG['LOGO'] = 'logo_psg_thb.png';

// Standard User Login Daten
$STANDARD_CONFIG['HOST'] = '127.0.0.1';
$STANDARD_CONFIG['PORT'] = 2048;
$STANDARD_CONFIG['USER'] = 'Administrator';
$STANDARD_CONFIG['PWD'] = 'admin';

// Gltigkeitsdauer des verschlsselt bergebenen Passworts in Sekunden
$STANDARD_CONFIG['VALID_DURATION'] = 600; 

// Festlegung der aktuellen Zeit
// Optionen:
//          - SCALARVIS
//            Die aktuelle Uhrzeit wird vom Datenserver abgerufen
//          - SERVER
//            Die aktuelle Uhrzeit wird vom Webserver abgerufen
$STANDARD_CONFIG['TIME_SOURCE'] = 'SERVER';         // Userabhngig

$STANDARD_CONFIG['TIME_IS_GMT_ONLY'] = 0;           // L TODO: Zeit nur in GMT rechnen (nicht in Verwendung)

// Negative Achsen verbergen
$STANDARD_CONFIG['HIDE_NEG_AXIS'] = 0;              // Userabhngig

// Export-Einstellungen
$STANDARD_CONFIG['EXPORT_DATEFORMAT'] = '';         // Userabhngig - Datumsformat fr den Export, z.B. %d.%m.%y
$STANDARD_CONFIG['EXPORT_TIMEFORMAT'] = '';         // Userabhngig - Zeitformat fr den Export, z.B. %H:%M:%S
$STANDARD_CONFIG['EXPORT_DECSEP'] = 'COMMA';        // Userabhngig - Dezimaltrennzeichen fr den Export, COMMA oder POINT

// Fr den User sichtbare Menpunkte
$STANDARD_CONFIG['NAV_UNIV'] = 1;                   // Userabhngig
$STANDARD_CONFIG['NAV_SGL'] = 0;                    // Userabhngig
$STANDARD_CONFIG['NAV_DETAIL'] = 1;                 // Userabhngig
$STANDARD_CONFIG['NAV_TREND'] = 1;                  // Userabhngig
$STANDARD_CONFIG['NAV_FLOWCHART'] = 1;              // Userabhngig
$STANDARD_CONFIG['NAV_FLOWCHART_EDIT'] = 0;         // Userabhngig
$STANDARD_CONFIG['FLOWCHART_DIR'] = 'empty';        // Userabhngig
$STANDARD_CONFIG['FLOWCHART_EDIT_DIR'] = 'empty';   // Userabhngig
$STANDARD_CONFIG['NAV_EXPORT'] = 1;                 // Userabhngig

// Log-Files
$STANDARD_CONFIG['WRITE_LOGFILES'] = 1;             // Bestimmt, ob Log-Files geschrieben werden oder nicht - userunabhngige Einstellung

// USER_CONFIG nicht auf Scalarvis-Server, sondern in CONF-Files auf dem Webserver hinterlegen
$STANDARD_CONFIG['USER_CONFIG_FILES'] = 0;          // 1 = USER_CONFIG in Files, 0 = USER_CONFIG auf Scalarvis-Server speichern

// Ribbonplot deaktivieren
$STANDARD_CONFIG['NO_RIBBONPLOT'] = 0;              // 0 = Ribbonplot aktiviert, 1 = Ribbonplot deaktiviert

// Scalarvis-PHP-Extension verwenden
$STANDARD_CONFIG['USE_PECL'] = 0;                   // 0 = Diagramme per PHP generieren (empfohlen), 1 = Diagramm-PECL verwenden (alt)

// Alte Socket-Vorgehensweise verwenden
$STANDARD_CONFIG['OLD_SOCKET_HANDLING'] = 0;        // 0 = Sicherer Socket-Zugriff (empfohlen), 1 = Socket-Zugriff ohne Schleife (alt)

?>
