<?php

// vim: fdm=marker

/**********************
*  Andy Geiss 2009    *
*  Tabulatorweite: 4  *
**********************/


ob_start();
require('scalarvis.inc.php');
require_once('scalarvis_ext.inc.php');
ob_end_clean();
nocache();

error_reporting(E_ALL);

if(!start_session($sv)){
    session_no_longer_valid_msg();
}

if(!$sv->connect()){
    // N TODO: Smtliche Fehler nicht als Text, sondern ebenfalls als Grafik ausgeben
    echo '<br>',get_sv_socket_errorstr_from_errno($sv->lang_id, $sv->get_socket_errno(), $sv->get_socket_last_error());
    exit;
}

$svsc = $sv->diagramarray[$diagram_index];
//print_r_formatted($svsc);

$svsc->refresh_busy = true;
store_session($sv);

header('Content-type: image/png');

if(isset($_GET['type'])){
    switch($_GET['type']){
    case 'universal':
    case 'single':
    case 'detail':
    case 'trend':
        if(isset($STANDARD_CONFIG['USE_PECL']) && $STANDARD_CONFIG['USE_PECL']){
            scalarvis_graph($svsc, $_GET['type']);
        }
        else{
            $sve = new scalarvis_ext;
            $sve->scalarvis_graph($svsc, $_GET['type']);
        }
        break;
    default:
        echo '<br />Error! Invalid diagramm type defined!';
        break;
    }
}
else{
    echo '<br />Error! No diagramm type defined!';
}

$svsc->refresh_busy = false;
store_session($sv);

?>
