<?php
function monthBack( $timestamp ){
    return mktime(0,0,0, date("m",$timestamp)-1,date("d",$timestamp),date("Y",$timestamp) );
}
function yearBack( $timestamp ){
    return mktime(0,0,0, date("m",$timestamp),date("d",$timestamp),date("Y",$timestamp)-1 );
}
function monthForward( $timestamp ){
    return mktime(0,0,0, date("m",$timestamp)+1,date("d",$timestamp),date("Y",$timestamp) );
}
function yearForward( $timestamp ){
    return mktime(0,0,0, date("m",$timestamp),date("d",$timestamp),date("Y",$timestamp)+1 );
}
function daySet( $timestamp, $day, $flag ){
/*
	-1 = Monat zurueck
	0  = current day
	+1 = im gleichen Monat
	+2 = naechster Monat
*/
	$curDay = date("d",$timestamp);
	if($day <= $curDay){
		$diff = $curDay - $day;
	}
	if($day > $curDay){
		$curDay = $curDay + $day;
	}
	switch($flag)
	{
		case -1:
			$diff = -1;
			break;
		case 2:
			$diff = +1;
			break;
		default:
			$diff = 0;
			break;
	}
	return mktime(0,0,0, date("m",$timestamp) + $diff,$day ,date("Y",$timestamp) );
}


function getCalender($date,$headline = array('Mo','Di','Mi','Do','Fr','Sa','So')) {
    $sum_days = date('t',$date);
//    $LastMonthSum = date('t',mktime(0,0,0,(date('m',$date)-1),0,date('Y',$date)));
    $LastMonthSum = date('t',mktime(0,0,0,(date('m',$date)-1),1,date('Y',$date)));
    
    foreach( $headline as $key => $value ) {
        echo "<div class=\"day headline\">".$value."</div>\n";
    }
    
    for( $i = 1; $i <= $sum_days; $i++ ) {
        $day_name = date('D',mktime(0,0,0,date('m',$date),$i,date('Y',$date)));
        $day_number = date('w',mktime(0,0,0,date('m',$date),$i,date('Y',$date)));
        
        if( $i == 1) {
            $s = array_search($day_name,array('Mon','Tue','Wed','Thu','Fri','Sat','Sun'));
            for( $b = $s; $b > 0; $b-- ) {
//                $x = $LastMonthSum-$b;
                $x = $LastMonthSum-$b+1;
                echo "<div class=\"day before\">";
				echo "<a href=\"?timestamp=".daySet($date, $x, -1)."\" class=\"day before\">".sprintf("%02d",$x)."</a>";
				echo "</div>\n";

			}
        } 
        
        if( $i == date('d',$date) ) {
            echo "<div class=\"day current\">";
				echo "<a href=\"?timestamp=".daySet($date, $i, 0)."\" class=\"mydays\">".sprintf("%02d",$i)."</a>";
			echo "</div>\n";
        } else {
            echo "<div class=\"day normal\">";
				echo "<a href=\"?timestamp=".daySet($date, $i, 1)."\" class=\"mydays\">".sprintf("%02d",$i)."</a>";
			echo "</div>\n";
        }
        
        if( $i == $sum_days) {
            $next_sum = (6 - array_search($day_name,array('Mon','Tue','Wed','Thu','Fri','Sat','Sun')));
            for( $c = 1; $c <=$next_sum; $c++) {
                echo "<div class=\"day after\">"; 
				echo "<a href=\"?timestamp=".daySet($date, $c, 2)."\" class=\"day after\">".sprintf("%02d",$c)."</a>";
				echo "</div>\n";
            }
        }
    }
}
?>
<!DOCTYPE html>
<head>
<style type="text/css">
body {
    font-family:verdana;
    font-size:10px;
}
a {
    color:black;
    text-decoration: none;
}
a:hover {
    text-decoration: underline;
    background: #eaeaea;
}
.calender {
    width:280px;
    border:1px solid black;
}
* html .calender,
* + html .calender {
    width:282px;
}
.calender div.after,
.calender div.before{
    color:silver;
}
.day {
    float:left;
    width:40px;
    height:40px;
    line-height: 40px;
    text-align: center;
}
.day.headline {
    background:silver;
}
.day.current {
    font-weight:bold;
	background:yellow;
}
.day.after{
    color:#C0C0C0;
}
.day.before{
    color:#C0C0C0;
}

.clear {
    clear:left;
}
.pagination {
    text-align: center;
    height:20px;
    line-height:20px;
    font-weight: bold;
}
.pagination a {
    width:20px;
    height:20px;
}
</style>
<script type="text/javascript">
<!--
function OK(tag_nr){
/*    if(tag_nr && !isNaN(tag_nr) && tag_nr > 0){
        ActiveTagNo = parseInt(tag_nr);
    }
    
    if(od_p.tagform.nummer_',$tag_index,'){
        od_p.tagform.nummer_',$tag_index,'.value = ActiveTagNo;
        opener.ajaxGetTagInfo(',$tag_index,');
    }
*/    
    window.close();
}

function fCancel(){
    window.close();
}
-->
</script>
</head>
<body>
<?php

if( isset($_REQUEST['timestamp'])) $date = $_REQUEST['timestamp'];
else $date = time();

$arrMonth = array(
    "January" => "Januar",
    "February" => "Februar",
    "March" => "M&auml;rz",
    "April" => "April",
    "May" => "Mai",
    "June" => "Juni",
    "July" => "Juli",
    "August" => "August",
    "September" => "September",
    "October" => "Oktober",
    "November" => "November",
    "December" => "Dezember"
);
    
$headline = array('Mo','Di','Mi','Do','Fr','Sa','So');

?>

<div class="calender">
    <div class="pagination">
        <a href="?timestamp=<?php echo yearBack($date); ?>" class="last">|&laquo;</a> 
        <a href="?timestamp=<?php echo monthBack($date); ?>" class="last">&laquo;</a> 
        <span><?php echo $arrMonth[date('F',$date)];?> <?php echo date('Y',$date); ?></span>
        <a href="?timestamp=<?php echo monthForward($date); ?>" class="next">&raquo;</a>
        <a href="?timestamp=<?php echo yearForward($date); ?>" class="next">&raquo;|</a>  
		
    </div>
    <?php getCalender($date,$headline); ?>
	<div class="datum"><?php echo date("d.m.Y", $date); ?></div>
    <div class="clear"></div>
</div>

</body>
</html>
