<?php

// vim: fdm=marker

/***************************
*  Andy Geiss 2009 - 2010  *
*  Tabulatorweite: 4       *
***************************/

ob_start();
require('../scalarvis.inc.php');
require('flowchartfunctions.inc.php');
ob_end_clean();
nocache();

error_reporting(E_ALL);

if(!start_session($sv)){
    session_no_longer_valid_msg();
}

/* {{{ Variablen initialisieren */
$TabPerRow = 0;
$AnzRegister = 0;
$TabRows = 1;
$TabHeight = 33;
$CheckboxHeight = 32;
$MenuHeight = $TabHeight + $CheckboxHeight;

if(isset($sv->USER_CONFIG['FLOWCHART_DIR']) && strlen(trim($sv->USER_CONFIG['FLOWCHART_DIR']))
&& trim($sv->USER_CONFIG['FLOWCHART_DIR']) != 'empty'){
    $flowchart_dir = $sv->USER_CONFIG['FLOWCHART_DIR'];
}
else{
    $flowchart_dir = '';
}

$flowchart_ini_file = $flowchart_dir.'Fliess.ini';
/* }}} */

/* {{{ Flowchart-INI-File einlesen */
if(is_file($flowchart_ini_file)){
    $ini_array = get_ini_array($flowchart_ini_file);
}
else{
    echo '<br />File '.$flowchart_ini_file.' not found!';
    store_session($sv);        
    exit;
}
/* }}} */

// TabPerRow ermitteln
$TabPerRow = (int) get_value_from_ini_array($ini_array,
                                            'Fliess',
                                            'TabPerRow');

// $AnzRegister ermitteln
foreach($ini_array as $section_index => $section_array){
    if(substr($section_index, 0, 8) == 'Register'){
        $AnzRegister++;
    }
}

if($TabPerRow > 0){
    $TabRows = ceil($AnzRegister / $TabPerRow);
	// RS 20110415
	$tmp_Row = 2;
	if($TabRows <= $tmp_Row)
		{
		$tmp_Row = $TabRows;
		}
    $MenuHeight = $tmp_Row * $TabHeight + (2*$CheckboxHeight);
}


$codebase = '../';
include('../cont_top.inc.php');

/* {{{ Frameset */
echo '
</head>

<frameset rows="',$MenuHeight,',*">
    <frame name="flowchartmenuframe" src="flowchartmenu.php?content=',$content,'&register=',$register,'&session_name=',$svweb_session_name,'" />
    <frame name="flowchartframe" src="flowchart.php?content=',$content,'&register=',$register,'&session_name=',$svweb_session_name,'" />
</frameset>';
/* }}} */

include('../cont_bottom.inc.php');

store_session($sv);

?>

