<?php

// vim: fdm=marker

/* * *************************
 *  Andy Geiss 2009 - 2010  *
 *  Tabulatorweite: 4       *
 * ************************* */


ob_start();
require('scalarvis.inc.php');
ob_end_clean();
nocache();

error_reporting(E_ALL);

if (!start_session($sv)) {
    session_no_longer_valid_msg();
}

include('cont_top.inc.php');

echo '
<style type="text/css">
a:link{text-decoration: none; color: #000000;}
a:visited{text-decoration: none; color: #3a3a3a;}
a:active{text-decoration: none; color: #FF8040;}
a:hover{text-decoration: none; color: #0000FF;}
td, a{
    font-family: Verdana, Arial, sans-serif;
    font-weight: bold;
    font-size: 13px;
}
td.menuplaceholder{
    font-size: 3px;
    padding: 0px;
}
td.version{
    color: #606060;
    font-size: 9px;
    font-weight: normal;
    padding-top: 30px;
}
</style>
<script type="text/javascript">
<!--
var wndDiagramArray = new Array();
var wndStatistik = null;
var wndExport = null;';

/* {{{ JavaScript-Funktion closeAllDiagramWindows() - Smtliche Children alias Diagramm-Fenster schlieen */
echo '
function closeAllDiagramWindows(){
    for(var i in wndDiagramArray){
        if(wndDiagramArray[i] && !wndDiagramArray[i].closed){
            wndDiagramArray[i].close();
        }
    }
}';
/* }}} */

/* {{{ JavaScript-Funktion menuItemDiagram() - Diagramm ffnen */
echo '
function menuItemDiagram(type){
    var wndDiagramArrayIndex = -1;
    var wwidth = 980;
    var wheight = 800;
    var wleft = (screen.availWidth - wwidth) / 2;
    var wtop = (screen.availHeight - wheight) / 2;
    var wlayout = "location=no, menubar=no, resizable=yes, scrollbars=yes";
    wlayout += ", status=yes, toolbar=no, left=" + wleft + ", top=" + wtop;
    wlayout += ", width=" + wwidth + ", height=" + wheight;

    // Closed Windows wiederverwenden
    for(var i in wndDiagramArray){
        if(wndDiagramArray[i] && wndDiagramArray[i].closed){
            wndDiagramArrayIndex = i;
            break;
        }
    }
    if(wndDiagramArrayIndex < 0){
        wndDiagramArrayIndex = wndDiagramArray.length;
    }
    wndDiagramArray[wndDiagramArrayIndex] = window.open("diagram.php?type=" + type + "&session_name=', $svweb_session_name, '", "_blank", wlayout);

    var j = 0;
    for(var i in wndDiagramArray){
        if(wndDiagramArray[i] && !wndDiagramArray[i].closed){
            wndDiagramArray[i].focus();
            j++;
        }
    }
    wndDiagramArray[wndDiagramArrayIndex].moveTo(j * 25, j * 25);
    wndDiagramArray[wndDiagramArrayIndex].focus();
}';
/* }}} */

/* {{{ JavaScript-Funktion menuItemDiagram() - Diagramm ffnen */
echo '
function menuItemDiagramJS(type){
    var wndDiagramArrayIndex = -1;
    var wwidth = 1400;
    var wheight = 960;
    var wleft = (screen.availWidth - wwidth) / 2;
    var wtop = (screen.availHeight - wheight) / 2;
    var wlayout = "location=no, menubar=no, resizable=yes, scrollbars=yes";
    wlayout += ", status=yes, toolbar=no, left=" + wleft + ", top=" + wtop;
    wlayout += ", width=" + wwidth + ", height=" + wheight;

    // Closed Windows wiederverwenden
    for(var i in wndDiagramArray){
        if(wndDiagramArray[i] && wndDiagramArray[i].closed){
            wndDiagramArrayIndex = i;
            break;
        }
    }
    if(wndDiagramArrayIndex < 0){
        wndDiagramArrayIndex = wndDiagramArray.length;
    }
    wndDiagramArray[wndDiagramArrayIndex] = window.open("diagramJS.php?type=" + type + "&session_name=', $svweb_session_name, '", "_blank", wlayout);

    var j = 0;
    for(var i in wndDiagramArray){
        if(wndDiagramArray[i] && !wndDiagramArray[i].closed){
            wndDiagramArray[i].focus();
            j++;
        }
    }
    wndDiagramArray[wndDiagramArrayIndex].moveTo(j * 25, j * 25);
    wndDiagramArray[wndDiagramArrayIndex].focus();
}';
/* }}} */

/* {{{ JavaScript-Funktion menuItemStatistik() - Statistik ffnen */
echo '
function menuItemStatistik(){
    var wwidth = 700;
    var wheight = 500;
    var wleft = (screen.availWidth - wwidth) / 2;
    var wtop = (screen.availHeight - wheight) / 2;
    var wlayout = "location=no, menubar=no, resizable=yes, scrollbars=yes, dependent=yes";
    wlayout += ", status=yes, toolbar=no, left=" + wleft + ", top=" + wtop;
    wlayout += ", width=" + wwidth + ", height=" + wheight;

    wndStatistik = window.open("statistik.php?session_name=', $svweb_session_name, '", "wndStatistik", wlayout);
	wndStatistik.locationbar.visible=false;
    wndStatistik.focus();
}';
/* }}} */

/* {{{ JavaScript-Funktion menuItemExport() - Export ffnen */
echo '
function menuItemExport(){
    var wwidth = 500;
    var wheight = 300;
    var wleft = (screen.availWidth - wwidth) / 2;
    var wtop = (screen.availHeight - wheight) / 2;
    var wlayout = "location=no, menubar=no, resizable=yes, scrollbars=yes";
    wlayout += ", status=yes, toolbar=no, left=" + wleft + ", top=" + wtop;
    wlayout += ", width=" + wwidth + ", height=" + wheight;

    wndExport = window.open("export.php?session_name=', $svweb_session_name, '", "wndExport", wlayout);
    wndExport.focus();
}';
/* }}} */

/* {{{ JavaScript-Funktion menuItemFlowchart() - Fliebild */
echo '
function menuItemFlowchart(){
	location.reload(true); 
	//alert("web2 frame_menu");
    //top.main.location.href = "flowchart/frameset_flowchart.php?content=flowchart&session_name=', $svweb_session_name, '";
    top.main.location.href = "flowchart/flowchartmenu.php?content=flowchart&start=1&session_name=', $svweb_session_name, '";
}';
/* }}} */

/* {{{ JavaScript-Funktion menuItemSplash() - Zurck zum Splash-Screen */
echo '
function menuItemSplash(){
    var check;
    check = confirm("', $text_array[$sv->lang_id]['check_splash'], '");
    if(check){
        top.location.href = "index.php?content=splash&session_name=', $svweb_session_name, '";
    }
}';
/* }}} */

/* {{{ JavaScript-Funktion menuItemLogout() - Ausloggen */
echo '
function menuItemLogout(){
    var check;
    check = confirm("', $text_array[$sv->lang_id]['check_logout'], '");
    if(check){
        top.location.href = "index.php?content=logout&session_name=', $svweb_session_name, '";
    }
}';
/* }}} */

/* {{{ JavaScript-Funktion menuItemTags() - bersicht (Kurvensatz-/Tagauswahl) */
echo '
function menuItemTags(){
    top.main.location.href = "frameset_tagauswahl.php?content=tagauswahl&session_name=', $svweb_session_name, '";
}';
/* }}} */

echo '
//-->
</script>
</head>

<body style="margin: 10px;" onunload="closeAllDiagramWindows()">
<div align="center">
<a href="javascript:menuItemSplash();">
<img border="0" src="images/', $STANDARD_CONFIG['LOGO'], '" alt="Splash" />
</a>
</div>';

/* {{{ HTML-Tabelle mit Men */
echo '
<br /><br />
<!-- Tabelle fr Inhalt -->
<table border="0" cellpadding="3" cellspacing="3" width="100%" summary="Menu">
<tr>
    <td><a href="javascript:menuItemTags();">', $text_array[$sv->lang_id]['overview'], '</a></td>';

$i = 0;

/* {{{ Menpunkt Universal-Diagramm mit neuer JS-Bibliothek */
/*
  if(isset($sv->USER_CONFIG['NAV_UNIV']) && $sv->USER_CONFIG['NAV_UNIV']){
  show_menuplaceholder($i++);
  echo '
  </tr><tr>
  <td><a href="javascript:menuItemDiagramJS(\'universal\');">Diagramm JS</a></td>';
  }
 */
/* }}} */

/* {{{ Menpunkt Universal-Diagramm */
if (isset($sv->USER_CONFIG['NAV_UNIV']) && $sv->USER_CONFIG['NAV_UNIV']) {
    show_menuplaceholder($i++);
    echo '
</tr><tr>
    <td><a href="javascript:menuItemDiagramJS(\'universal\');">', $text_array[$sv->lang_id]['diagram_universal'], '</a></td>';
}
/* }}} */

/* {{{ Menpunkt Einzelskalen-Diagramm */
/* auskommentiert, geht erstmal nicht
  if(isset($sv->USER_CONFIG['NAV_SGL']) && $sv->USER_CONFIG['NAV_SGL']){
  show_menuplaceholder($i++);
  echo '
  </tr><tr>
  <td><a href="javascript:menuItemDiagramJS(\'single\');">',$text_array[$sv->lang_id]['diagram_single'],'</a></td>';
  }
 */
/* }}} */

/* {{{ Menpunkt Detail-Diagramm */
if (isset($sv->USER_CONFIG['NAV_DETAIL']) && $sv->USER_CONFIG['NAV_DETAIL']) {
    show_menuplaceholder($i++);
    echo '
</tr><tr>
    <td><a href="javascript:menuItemDiagramJS(\'detail\');">', $text_array[$sv->lang_id]['diagram_detail'], '</a></td>';
}
/* }}} */

/* {{{ Menpunkt Trend-Diagramm */
if (isset($sv->USER_CONFIG['NAV_TREND']) && $sv->USER_CONFIG['NAV_TREND']) {
    show_menuplaceholder($i++);
    echo '
</tr><tr>
    <td><a href="javascript:menuItemDiagramJS(\'trend\');">', $text_array[$sv->lang_id]['diagram_trend'], '</a></td>';
}
/* }}} */

$i = 0;

/* {{{ Menpunkt Fliebild */
if (isset($sv->USER_CONFIG['NAV_FLOWCHART']) && $sv->USER_CONFIG['NAV_FLOWCHART']) {
    show_menuplaceholder($i++);
    echo '
</tr><tr>
    <td><a href="javascript:menuItemFlowchart();">', $text_array[$sv->lang_id]['flowchart'], '</a></td>';
}
/* }}} */

/* {{{ Menpunkt Fliebild-Editor */
if (isset($sv->USER_CONFIG['NAV_FLOWCHART_EDIT']) && $sv->USER_CONFIG['NAV_FLOWCHART_EDIT']) {
    $flowchart_edit_url = $sv->get_flowchart_edit_url();
    show_menuplaceholder($i++);
    echo '
</tr><tr>
    <td><a href="', $flowchart_edit_url, '" target="_blank">', $text_array[$sv->lang_id]['flowchart_edit'], '</a></td>';
}
/* }}} */

$i = 0;

show_menuplaceholder($i++);
/* {{{ Menpunkt Statistik */
echo '
</tr><tr>
    <td><a href="javascript:menuItemStatistik();">Statistik</a></td>';
/* }}} */

/* {{{ Menpunkt Export */
if (isset($sv->USER_CONFIG['NAV_EXPORT']) && $sv->USER_CONFIG['NAV_EXPORT']) {
    echo '
</tr><tr>
    <td><a href="javascript:menuItemExport();">', $text_array[$sv->lang_id]['export'], '</a></td>';
}
/* }}} */

$i = 0;

show_menuplaceholder($i++);
echo '
</tr><tr>
    <td><a href="javascript:menuItemLogout();">', $text_array[$sv->lang_id]['logout'], '</a></td>
</tr><tr>
    <td class="version">v&nbsp;', $g_version, 'a</td>
</tr>
</table>';
/* }}} */

echo '
</body>';

include('cont_bottom.inc.php');

store_session($sv);

/* {{{ PHP-Funktion show_menuplaceholder() - Menplatzhalter darstellen */

function show_menuplaceholder($i) {
    echo '
</tr><tr>
    <td class="menuplaceholder">';
    if ($i) {
        echo '&nbsp;';
    } else {
        echo '<br /><hr /><br />';
    }
    echo '</td>';
}

/* }}} */
?>

