var session;
var register;
var refreshInterval = null;
var intervalId = null;

var canvasDrawing = false;

var flowchartCanvasImg;


window.addEventListener("load", drawFirstCanvas, true);
function drawFirstCanvas(url){                                    
	flowchartCanvasImg = new Image();              
	flowchartCanvasImg.onload = function(){
		var canvas = document.getElementById('flowchartCanvas');
		var context = canvas.getContext('2d');
		canvas.setAttribute("width", flowchartCanvasImg.width);
		canvas.setAttribute("height", flowchartCanvasImg.height);
		
		//context.drawImage(flowchartCanvasImg, 0, 0); 
		context.drawImage(this, 0, 0); 		
	}; 
	flowchartCanvasImg.src = url;  	
}

//window.addEventListener("load", drawCanvas, true);
function drawCanvas(url){                                    
	flowchartCanvasImg.src = url;                     
}

/*
function loadFlowchartCanvas(url) {
	//var canvas = document.getElementById("flowchartCanvas");
	//var context = canvas.getContext("2d");
	flowchartCanvasImg = new Image();
	flowchartCanvasImg.onload = function() {
		var canvas = document.getElementById("flowchartCanvas");
		var context = canvas.getContext("2d");
		canvas.setAttribute("width", flowchartCanvasImg.width)
		canvas.setAttribute("height", flowchartCanvasImg.height)
		context.drawImage(this, 0, 0);
	};
	flowchartCanvasImg.src = url;
}
window.addEventListener("load", draw, true);
function reloadFlowchartCanvas(url) {
	flowchartCanvasImg.src = url;
}
*/

/*
window.addEventListener("load", drawFirstCanvas, true);
function drawFirstCanvas(url){                                    
	flowchartCanvasImg = new Image();
	flowchartCanvasImg.src = url;                
	flowchartCanvasImg.onload = function(){
		var canvas = document.getElementById('flowchartCanvas');
		var context = canvas.getContext('2d');
		canvas.setAttribute("width", flowchartCanvasImg.width);
		canvas.setAttribute("height", flowchartCanvasImg.height);
		
		context.drawImage(flowchartCanvasImg, 0, 0);        
	};            
}
*/

function setSessionName(sessionName) {
    session = sessionName;
}

function setRegister(registerName) {
    register = registerName;
}

function setRefreshInterval(interval) {
    refreshInterval = interval;
    if (refreshInterval !== null && refreshInterval > 0) {
        intervalId = window.setInterval("ajaxRefreshFlowchart()", refreshInterval);
    }
}


function ajaxRefreshFlowchart() {
	
	if (!canvasDrawing){
		canvasDrawing = true;
    //if (document.images["flowchartimage"].complete) {
	//if (document.getElementById("flowchartCanvas").complete) {	
        var time = new Date().getTime();
        var svUTC;
        var url = "../ajax_actions.php?ajax_action=refresh_servertime&session_name=" + session;
		
        $.get(url, function (data) {
            svUTC = data;
            var tmpDateUTC = new Date(svUTC * 1000.0);
            //alert(tmpDateUTC);
            $("#date_refresh").html(tmpDateUTC.toLocaleString());
            //alert(start);
            //var tmpDateLOC = new Date(tmpDateUTC.toLocaleString());
            //alert(tmpDateLOC);
            $("#date_refresh_hidden").val(svUTC);
            url = "flowchartimage.php?register=" + register + "&arctime=" + svUTC;
            url += "&time=" + time + "&session_name=" + session;
            //alert(url);
            //document.images["flowchartimage"].src = url;
			//reloadFlowchartCanvas(url);
			drawCanvas(url);
			canvasDrawing = false;
            ajaxRefreshOverlay();
        });
		
    }
}

function ajaxSwitchRefreshFlowchart(checked) {
    var url = "../ajax_actions.php?ajax_action=switch_refresh_flowchart&checked=" + checked;
    url += "&session_name=" + session;
    $.get(url);
}

function flowchartMenuItem(itemregister) {
    var url = "flowchart.php?register=" + itemregister;
    url += "&content=flowchart&session_name=" + session;
    setRegister(itemregister);

    $.get(url, function (data) {
        $('#flowchartimage').empty().html(data);
    });


}

function switch_refresh(interval) {
    if ($('#refresh_flowchart').prop('checked')) {
        $('#btDateselection').hide();
        setRefreshInterval(interval);
        ajaxSwitchRefreshFlowchart(true);
        $('#datetimeSelection').hide();
        $('#diagrammSelection').hide();
    }
    else {
        $("#btDateselection").show();
        window.clearInterval(intervalId);
        ajaxSwitchRefreshFlowchart(false);
        $('#datetimeSelection').show();
        $('#diagrammSelection').show();

        var actDate = new Date();
        var day = actDate.getDate();
        var month = actDate.getMonth() + 1;
        var minutes = actDate.getMinutes();
        var hours = actDate.getHours();
        if (day < 10) {
            day = '0' + day;
        }
        if (month < 10) {
            month = '0' + month;
        }
        if (minutes < 10) {
            minutes = '0' + minutes;
        }
        if (hours < 10) {
            hours = '0' + hours;
        }

        $('#dateinput').val(day + '.' + month + '.' + actDate.getFullYear());
        $('#timeinput').val(hours + ':' + minutes);
    }
}

$(document).ready(function () {

    $('#dateinput').datetimepicker({
        lang: 'de',
        i18n: {
            de: {
                months: [
                    'Januar', 'Februar', 'Mrz', 'April',
                    'Mai', 'Juni', 'Juli', 'August',
                    'September', 'Oktober', 'November', 'Dezember',
                ],
                dayOfWeek: [
                    "So.", "Mo", "Di", "Mi",
                    "Do", "Fr", "Sa.",
                ]
            }
        },
        timepicker: false,
        defaultDate: new Date(),
        format: 'd.m.Y'
    });

    $('#timeinput').datetimepicker({
        lang: 'de',
        timepicker: true,
        step: 1,
        datepicker: false,
        defaultTime: new Date(),
        format: 'H:i'
    });

    $('#refresh_flowchart').on('click', function () {
        switch_refresh(refreshInterval);
    });
    if ($('#refresh_flowchart').prop('checked')) {
        $('#datetimeSelection').hide();
        $('#diagrammSelection').hide();
		
    }

    $('#archive').on('click', function () {
        var dateInputVal = $('#dateinput').val();
        var timeInputVal = $('#timeinput').val();
        var time = 0;
		
        dateVals = dateInputVal.split('.');
        timeVals = timeInputVal.split(':');
        if (dateVals.length == 3 && timeVals.length == 2) {
			if (!canvasDrawing){
				canvasDrawing = true;
				time = new Date(dateVals[2], dateVals[1] - 1, dateVals[0], timeVals[0], timeVals[1], 0).getTime();
				time = time / 1000;//sekunden brauchen wir
				$("#date_refresh_hidden").val(time);
				url = "flowchartimage.php?register=" + register + "&setarc=archive&arctime=" + time;
				url += "&time=" + new Date().getTime() + "&session_name=" + session;

				//document.images["flowchartimage"].src = url;
				//alert(url);
				//reloadFlowchartCanvas(url);
				drawCanvas(url);
				ajaxRefreshOverlay();
				$("#date_refresh").html(dateInputVal + ' ' + timeInputVal + ':00');
				canvasDrawing = false;
			}
        } else {
            alert('Bitte whlen Sie ein Datum und eine Zeit aus.');
        }
    });

    $('#setdiagramm').on('click', function () {
		var valUni = $('#universalinput').val();
		var valDetail = $('#detailinput').val();
		valUni = valUni * 3600;
		valDetail = valDetail * 60;
        url = '../ajax_actions.php?ajax_action=write_ini_section&section=Diagramm';
        url += '&Universal=' + valUni;
        url += '&Detail=' + valDetail;
        url += '&session_name=' + session;
        $.get(url, function (data) {
            if (data == 0) {
                alert('Fehler\n\nDie Werte konnten nicht in die INI-Datei geschrieben werden.');
            }
        });
    });
}
);