<?php

// vim: fdm=marker

/***************************
*  Andy Geiss 2009 - 2010  *
*  Tabulatorweite: 4       *
***************************/

ob_start();
require('scalarvis.inc.php');
ob_end_clean();
nocache();

error_reporting(E_ALL);

if(!start_session($sv)){
    session_no_longer_valid_msg();
}

if(!$sv->connect()){
    echo '<br>',get_sv_socket_errorstr_from_errno($sv->lang_id, $sv->get_socket_errno(), $sv->get_socket_last_error());
    exit;
}

//print_r_formatted($_GET);
//print_r_formatted($_POST);

$list_max = 10;

if(!empty($_POST['ksnumber'])){
    $ksnumber = $_POST['ksnumber'];
}
else if(!empty($_GET['ksnumber'])){
    $ksnumber = $_GET['ksnumber'];
}
else{
    $ksnumber = 0;
}
if(!is_numeric($ksnumber) || $ksnumber < 1){
    $ksnumber = 1;
}
else{
    $ksnumber = intval($ksnumber);
}

if(!empty($_POST['search'])){
    $search = $_POST['search'];
}
else if(!empty($_GET['search'])){
    $search = $_GET['search'];
}
else{
    $search = '';
}
$search = trim($search);

// Wenn Submit per JavaScript-encodeURIComponent() erfolgt ist
if(isset($_REQUEST['euc']) && $_REQUEST['euc']){
    $search = utf8_decode($search);
}

if(!empty($_POST['direction'])){
    $direction = $_POST['direction'];
}
else if(!empty($_GET['direction'])){
    $direction = $_GET['direction'];
}
else{
    $direction = 'up';
}
$direction = trim($direction);

$ksliste = array();
$ks_list_forward = 0;
$ks_list_reverse = 0;

$sv->get_kslist($ksnumber, 
                $list_max, 
                $ks_list_forward, 
                $ks_list_reverse, 
                $ksliste, 
                $direction, 
                (strlen($search)?$search:'undefined'));

echo '
<!-- Andy Geiss 2009 -->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>

<head>
<meta http-equiv="expires" content="0">
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta http-equiv="imagetoolbar" content="no">
<title>',$text_array[$sv->lang_id]['ks_selection'],'</title>
<link rel="shortcut icon" href="favicon.ico" />
<link rel="icon" href="favicon.ico" />
<link rel="stylesheet" type="text/css" href="style.css">
<script type="text/javascript" src="functions.js"></script>
<style type="text/css">
<!--
a{
    font-weight: normal;
}
.button_width{
    width: 50px;
}
//-->
</style>

<script type="text/javascript">
<!--
var enc_search = encodeURIComponent("',$search,'");

self.focus();

function key_down_event(event){
    var keyCode;
    if(!event){
        event = window.event;
    }
    if(event.which){
        keyCode = event.which;
    }
    else{
        if(event.keyCode){
            keyCode = event.keyCode;
        }
    }
    //alert("Taste mit Dezimalwert " + keyCode + " gedrckt");
    
    // Esc
    if(keyCode == 27){
        window.close();
    }
}
document.onkeydown = key_down_event;

function OK(ksnumber){
    if(ksnumber && !isNaN(ksnumber) && ksnumber > 0){
        ActiveKSNo = parseInt(ksnumber);
    }
    
    if(od_p.ksform.ksnumber){
        od_p.ksform.ksnumber.value = ActiveKSNo;
        od_p.ksform.submit();
    }
    
    window.close();
}

function first(){
    var url = "ksselection.php";
    url += "?ksnumber=0";
    url += "&search=" + enc_search;
    url += "&direction=up";
    url += "&euc=1";
    url += "&session_name=',$svweb_session_name,'";
    //alert(url);
    location.href = url;
}

function back(){
    var url = "ksselection.php";
    url += "?ksnumber=',(isset($ksliste[0])?$ksliste[0][0] - 1:0),'";
    url += "&search=" + enc_search;
    url += "&direction=',(isset($ksliste[0])?'down':'up'),'";
    url += "&euc=1";
    url += "&session_name=',$svweb_session_name,'";
    //alert(url);
    location.href = url;
}

function next(){
    var url = "ksselection.php";
    url += "?ksnumber=',(isset($ksliste[count($ksliste) - 1])?$ksliste[count($ksliste) - 1][0] + 1:0),'";
    url += "&search=" + enc_search;
    url += "&direction=up";
    url += "&euc=1";
    url += "&session_name=',$svweb_session_name,'";
    //alert(url);
    location.href = url;
}

function last(){
    var url = "ksselection.php";
    url += "?ksnumber=',(isset($sv->sysinfo['kurven_anzahl'])?$sv->sysinfo['kurven_anzahl']:0),'";
    url += "&search=" + enc_search;
    url += "&direction=',(isset($sv->sysinfo['kurven_anzahl'])?'down':'up'),'";
    url += "&euc=1";
    url += "&session_name=',$svweb_session_name,'";
    //alert(url);
    location.href = url;
}

//-->
</script>
</head>

<body>
<form name="ksselectform" action="',$_SERVER["SCRIPT_NAME"],'" method="POST">

<table border="0" cellpadding="1" cellspacing="3" width="100%" summary="TAG Set Selection">
<tr>
    <td>
    
    <!-- Tabelle fr Inhalt -->
    <table style="border-collapse: collapse;" border="0" cellspacing="0" cellpadding="3" width="100%" summary="TAG Set Selection List">
    <tr>
        <th class="td_border" width="22%">',$text_array[$sv->lang_id]['number_abbr'],'</th>
        <th class="td_border" width="73%">',$text_array[$sv->lang_id]['name'],'</th>';
    foreach($ksliste as $ks){
        $tmp_ksnumber = $ks[0];
        if(!is_numeric($tmp_ksnumber) || $tmp_ksnumber < 1){
            $tmp_ksnumber = 1;
        }
        else{
            $tmp_ksnumber = intval($tmp_ksnumber);
        }
        $tmp_name_full = trim($ks[1]);
        $tmp_name_dotted = dotted_if_too_long($tmp_name_full, 60);
        echo '
        </tr><tr>
            <td class="td_border" align="center">
            <a href="javascript:OK(',$tmp_ksnumber,')" title="',htmlspecialchars($tmp_name_full),'">
                ',$tmp_ksnumber,'</a>
            </td>
            <td class="td_border">
            <a href="javascript:OK(',$tmp_ksnumber,')" title="',htmlspecialchars($tmp_name_full),'">
                ',$tmp_name_dotted,'</a>
            </td>';
    }
    echo '
    </tr>
    </table>
    
    </td>
</tr><tr>
    <td align="center">
    
    <!-- Tabelle fr Navigation -->
    <table border="0" cellspacing="1" cellpadding="3" width="100%" summary="TAG Set Selection Navigation">
    <tr>
        <td align="left">
        <input class="button_width" type="button" name="btFirst" value="&Iota;&lt;&lt;" onclick="first()"';
        if(!$ks_list_reverse){
            echo ' disabled';
        }
        echo '>
        </td>
        <td align="left">
        <input class="button_width" type="button" name="btBack" value="&lt;&lt;" onclick="back()"';
        if(!$ks_list_reverse){
            echo ' disabled';
        }
        echo '>
        </td>
        <td align="center">
        <input type="hidden" name="session_name" value="',$svweb_session_name,'">
        <input class="colored_input" type="text" name="search" size="45" value="',$search,'">&nbsp;&nbsp;',
        '<input style="width: 70px;" type="submit" name="btSearch" value="',$text_array[$sv->lang_id]['search'],'" >
        </td>
        <td align="right">
        <input class="button_width" type="button" name="btNext" value="&gt;&gt;" onclick="next()"';
        if(!$ks_list_forward){
            echo ' disabled';
        }
        echo '>
        </td>
        <td align="right">
        <input class="button_width" type="button" name="btLast" value="&gt;&gt;&Iota;" onclick="last()"';
        if(!$ks_list_forward){
            echo ' disabled';
        }
        echo '>
        </td>
    </tr>
    </table>
    
    </td>
</tr>
</table>

<script type="text/javascript">
<!--
var od_p = opener.document;
var ActiveKSNo;
if(od_p.ksform.ksnumber){
    ActiveKSNo = parseInt(od_p.ksform.ksnumber.value);
}
//-->
</script>

</form>
</body>
</html>';

store_session($sv);

?>
