<?php

error_reporting(E_ALL);

echo '
<!DOCTYPE HTML>
<html>

<head>
<title>Klapptabelle</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="favicon.ico" />
<link rel="icon" href="favicon.ico" />
<link rel="stylesheet" type="text/css" href="style.css" />
<script type="text/javascript" src="klapptabelle.js"></script>

</head>

<body>
<h3>Beispiel</h3>

<table class="klapptabelle">

<!-- Diese Reihe wird disabled, da es keine Reihen zum klappen gibt -->
<tr class="main">
<td> </td> <td> </td>
</tr>

<tr class="main">
<td> 3 Zeilen zum ffnen</td>
<td> </td>
</tr>
<!-- Die Reihen die durch einen Klick auf das Bild geklappt werden -->
	<tr> <td> test11</td> <td>test12 </td></tr>
	<tr> <td>test21 </td> <td>test22 </td></tr>
	<tr> <td> test31</td> <td>test32 </td></tr>

<tr class="main">
<td> Noch 3 Zeilen zum ffnen</td>
<td> </td>
</tr>
<!-- Die Reihen die durch einen Klick auf das Bild geklappt werden -->
	<tr> <td> test111</td> <td>test112 </td></tr>
	<tr> <td>test221 </td> <td>test222 </td></tr>
	<tr> <td> test331</td> <td>test332 </td></tr>
	</table>

<h4>Zusatzfunktionen fr das Beispiel</h4>

<p>
<input type="checkbox" id="close">
Vor dem ffnen einer Reihe, alle anderen schliessen.<br>
<input type="button" id="closeAll" value="Alles schliessen">
<input type="button" id="showAll" value="Alles ffnen">
</p>

	
<script type="text/javascript">
<!--
/* {{{ JavaScript-Funktion */

// Das ist die Callback Funktion die aufgerufen wird,
// wenn eine Klapptabelle gefunden wird
function setEvents(klapptabelle){
	// Event fr den Button <alle Schliessen>
	document.getElementById("closeAll").onclick = function() {
		klapptabelle.hideAll();
	}
	// Event fr den Button <alle ffnen>
	document.getElementById("showAll").onclick = function() { klapptabelle.showAll();};
	klapptabelle.onopen = function(p, row) {
		this.doCloseAll = document.getElementById("close").checked;
		row.style.background ="#ff0"
	}
 	klapptabelle.onclose = function(p, row){
 		row.style.background =""
 	}
}

//KlappTabelle.marker("Bilder/pfeile.gif"); 
KlappTabelle.init(setEvents);

//KlappTabelle.marker("Bilder/pfeile.gif"); 
//KlappTabelle.init();
/* }}} */
//-->
</script>
</body>
</html>
';
?>
